<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
if ( ! function_exists( 'mk_arrays' ) ) {
    function mk_arrays( $type ) {
        $options = '';
        switch ( $type ) {

             case 'additional_params':
                $options = array(
                    ''         => esc_html__( 'No', 'orbius-core' ),
                    'posts'    => esc_html__( 'Posts', 'orbius-core' ),
                    'category' => esc_html__( 'Category', 'orbius-core' ),
                );
                break;

            case 'align_flex':
                $options = array(
                    'flex-start' => ['title' => esc_html__( 'Flex Start', 'orbius-core' ), 'icon' => 'eicon-flex eicon-justify-start-h', ],
                    'center'     => ['title' => esc_html__( 'Center', 'orbius-core' ),     'icon' => 'eicon-flex eicon-justify-center-h', ],
                    'flex-end'   => ['title' => esc_html__( 'Flex End', 'orbius-core' ),   'icon' => 'eicon-flex eicon-justify-end-h', ],
                );
                break;

            case 'align_flex_alt':
                $options = array(
                    'flex-start' => ['title' => esc_html__( 'Left', 'orbius-core' ), 'icon' => 'eicon-flex eicon-justify-start-h', ],
                    'center'     => ['title' => esc_html__( 'Center', 'orbius-core' ),'icon' => 'eicon-flex eicon-justify-center-h', ],
                    'flex-end'   => ['title' => esc_html__( 'Right', 'orbius-core' ), 'icon' => 'eicon-flex eicon-justify-end-h', ],
                );
                break;

            case 'align_left_right':
                $options = array(
                     'left'  => ['title' => esc_html__( 'Left', 'orbius-core' ),  'icon' => 'eicon-h-align-left' ],
                     'right' => ['title' => esc_html__( 'Right', 'orbius-core' ), 'icon' => 'eicon-h-align-right' ],
                );
                break;

            case 'vertical_alignment':
                $options = array(
                    'top'    => ['title' => esc_html__( 'Top', 'orbius-core' ),    'icon' => 'eicon-v-align-top', ],
                    'middle' => ['title' => esc_html__( 'Center', 'orbius-core' ), 'icon' => 'eicon-v-align-middle', ],
                    'bottom' => ['title' => esc_html__( 'Bottom', 'orbius-core' ), 'icon' => 'eicon-v-align-bottom', ],
                );
                break;

            case 'horizontal_alignment':
                $options = array(
                    'left'   => ['title' => esc_html__( 'Left', 'orbius-core' ),   'icon' => 'eicon-h-align-left', ],
                    'center' => ['title' => esc_html__( 'Center', 'orbius-core' ), 'icon' => 'eicon-h-align-center', ],
                    'right'  => ['title' => esc_html__( 'Right', 'orbius-core' ),  'icon' => 'eicon-h-align-right', ],
                );
                break;

            case 'text_align_all':
                $options = array(
                    'left'    => ['title' => esc_html__( 'Left', 'orbius-core' ),    'icon' => 'eicon-text-align-left', ],
                    'center'  => ['title' => esc_html__( 'Center', 'orbius-core' ),  'icon' => 'eicon-text-align-center', ],
                    'right'   => ['title' => esc_html__( 'Right', 'orbius-core' ),   'icon' => 'eicon-text-align-right', ],
                    'justify' => ['title' => esc_html__( 'justify', 'orbius-core' ), 'icon' => 'eicon-text-align-justify', ],
                );
                break;

            case 'text_align':
                $options = array(
                    'left'    => ['title' => esc_html__( 'Left', 'orbius-core' ),    'icon' => 'eicon-text-align-left', ],
                    'center'  => ['title' => esc_html__( 'Center', 'orbius-core' ),  'icon' => 'eicon-text-align-center', ],
                    'right'   => ['title' => esc_html__( 'Right', 'orbius-core' ),   'icon' => 'eicon-text-align-right', ],
                );
                break;

            case 'text_align_left_right':
                $options = array(
                     'left'  => ['title' => esc_html__( 'Left', 'orbius-core' ),  'icon' => 'eicon-text-align-left' ],
                     'right' => ['title' => esc_html__( 'Right', 'orbius-core' ), 'icon' => 'eicon-text-align-right' ],
                );
                break;

            case 'title_tag':
                $options = array(
                    'h1' => 'H1',
                    'h2' => 'H2',
                    'h3' => 'H3',
                    'h4' => 'H4',
                    'h5' => 'H5',
                    'h6' => 'H6',
                    'div'  => 'DIV',
                    'p'  => 'P',
                );
                break;

            case 'orderby':
                $options = array(
                    'date'       => esc_html__( 'Date', 'orbius-core' ),
                    'ID'         => esc_html__( 'ID', 'orbius-core' ),
                    'title'      => esc_html__( 'Title', 'orbius-core' ),
                    'rand'       => esc_html__( 'Random', 'orbius-core' ),
                    'menu_order' => esc_html__( 'Menu Order', 'orbius-core' ),
                );
                break;

            case 'order':
                $options = array(
                    'DESC' => esc_html__( 'Descending', 'orbius-core' ),
                    'ASC'  => esc_html__( 'Ascending', 'orbius-core' ),
                );
                break;

            case 'pagination_type':
                $options = array(
                    'no-pagination'    => esc_html__( 'No Pagination', 'orbius-core' ),
                    'standard'         => esc_html__( 'Standard', 'orbius-core' ),
                    'load-more'        => esc_html__( 'Load More', 'orbius-core' ),
                    'infinite-scroll'  => esc_html__( 'Infinite Scroll', 'orbius-core' ),
                );
                break;

            case 'border_style':
                $options = array(
                    'none'   => esc_html__( 'None', 'orbius-core' ),
                    'solid'  => esc_html__( 'Solid', 'orbius-core' ),
                    'double' => esc_html__( 'Double', 'orbius-core' ),
                    'dotted' => esc_html__( 'Dotted', 'orbius-core' ),
                    'dashed' => esc_html__( 'Dashed', 'orbius-core' ),
                );
                break;

            case 'responsive_support':
                $options = array(
                    'none'   => esc_html__( 'Nothing', 'orbius-core' ),
                    'tablet' => esc_html__( 'Tablet', 'orbius-core' ),
                    'mobile' => esc_html__( 'Mobile', 'orbius-core' ),
                );
                break;

            case 'icon_type':
                $options = array(
                    'none'   => ['title' => esc_html__( 'None', 'orbius-core' ),   'icon'  => 'fa fa-ban', ],
                    'icon'   => ['title' => esc_html__( 'Icon', 'orbius-core' ),   'icon'  => 'fa fa-star', ],
                    'image'  => ['title' => esc_html__( 'Image', 'orbius-core' ),  'icon'  => 'fa fa-picture-o', ],
                    'number' => ['title' => esc_html__( 'Number', 'orbius-core' ), 'icon'  => 'fa fa-hashtag', ],
                );
                break;

            case 'position':
                $options = array(
                    'top-left'      => esc_html__('Top Left', 'orbius-core') ,
                    'top-center'    => esc_html__('Top Center', 'orbius-core') ,
                    'top-right'     => esc_html__('Top Right', 'orbius-core') ,
                    'center'        => esc_html__('Center', 'orbius-core') ,
                    'center-left'   => esc_html__('Center Left', 'orbius-core') ,
                    'center-right'  => esc_html__('Center Right', 'orbius-core') ,
                    'bottom-left'   => esc_html__('Bottom Left', 'orbius-core') ,
                    'bottom-center' => esc_html__('Bottom Center', 'orbius-core') ,
                    'bottom-right'  => esc_html__('Bottom Right', 'orbius-core') ,
                );
                break;

            case 'tablet_mobile':
                $options = array(
                    'tablet'    => esc_html__( 'Tablet', 'orbius-core' ),
                    'mobile'    => esc_html__( 'Mobile', 'orbius-core' ),
                );
                break;

            case 'device_stack':
                $options = array(
                    'none'    => esc_html__( 'None', 'orbius-core' ),
                    'desktop' => esc_html__( 'Desktop', 'orbius-core' ),
                    'tablet'  => esc_html__( 'Tablet', 'orbius-core' ),
                    'mobile'  => esc_html__( 'Mobile', 'orbius-core' ),
                );
                break;

            case 'grid_masonry':
                $options = array(
                    'grid' => esc_html__( 'Grid', 'orbius-core' ),
                    'masonry' => esc_html__( 'Masonry', 'orbius-core' )
                );
                break;

            case 'image_or_icon':
                $options = array(
                    'img'     => ['title' => esc_html__( 'Image', 'orbius-core' ), 'icon'  => 'fa fa-picture-o', ],
                    'icon'    => ['title' => esc_html__( 'Icon', 'orbius-core' ),  'icon'  => 'fa fa-info-circle', ],
                );
                break;

            case 'hover_animation':
                $options = array(
                    ''                => esc_html__( 'None', 'orbius-core' ),
                    'grow'            => esc_html__( 'Grow', 'orbius-core' ),
                    'float'           => esc_html__( 'Float', 'orbius-core' ),
                    'sink'            => esc_html__( 'Sink', 'orbius-core' ),
                    'wobble-vertical' => esc_html__( 'Wobble Vertical', 'orbius-core' ),
                );
                break;

            case 'breadkpoints_items':
                $options = array('1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6', '7' => '7', '8' => '8', '9' => '9', '10' => '10', );
                break;

            case 'column4':
                $options = array('1' => '1', '2' => '2', '3' => '3', '4' => '4' );
                break;

            case 'column5':
                $options = array('1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5' );
                break;

            case 'column6':
                $options = array('1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6' );
                break;

            case 'columns8':
                $options = array('1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6', '7' => '7', '8' => '8' );
                break;

            case 'content_type':
                $options = array(
                            'content'  => esc_html__( 'Content', 'orbius-core' ),
                            'image'    => esc_html__( 'Image', 'orbius-core' ),
                            'section'  => esc_html__( 'Saved Section', 'orbius-core' ),
                            'widget'   => esc_html__( 'Saved Widget', 'orbius-core' ),
                            'template' => esc_html__( 'Saved Page Template', 'orbius-core' ),
                        );
                break;

        }

        return $options;
    }
}