<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

// control start
if (!function_exists('mk_elem_start_ctrl')) {
    function mk_elem_start_ctrl($obj, $id, $label, $tab = false, $condition = '', $prefix='') {
        return $obj->start_controls_section($id, [
            'label'     => esc_html__( $label, 'orbius-core' ),
            'tab'       => ($tab) ? \Elementor\Controls_Manager::TAB_STYLE : \Elementor\Controls_Manager::TAB_CONTENT,
            'condition' => $condition,
            'prefix_class' => $prefix,
        ]);
    }
}

// headings
if (!function_exists('mk_elem_heading_ctrl')) {
    function mk_elem_heading_ctrl($obj, $id, $label, $separator='', $condition = '' ) {
        $obj->add_control($id, [
            'label'      => esc_html__( $label, 'orbius-core' ),
            'type'       => \Elementor\Controls_Manager::HEADING,
            'separator'  => $separator,
        ]);
    }
}


// hide at
if (!function_exists('mk_elem_hide_ctrl')) {
    function mk_elem_hide_ctrl($obj, $id, $label, $default='', $separator='', $condition = '' ) {
        $obj->add_control($id, [
            'label'     => esc_html__( $label, 'orbius-core' ),
            'type'      => \Elementor\Controls_Manager::SELECT,
            'default'   => $default,
            'condition' => $condition,
            'separator' => $separator,
            'options'   => array(
                            'none'   => esc_html__( 'Nothing', 'orbius-core' ),
                            'tablet' => esc_html__( 'Tablet', 'orbius-core' ),
                            'mobile' => esc_html__( 'Mobile', 'orbius-core' ),
                        )
        ]);
    }
}