<?php
if ( ! defined( 'ABSPATH' ) ) {	exit; }
Class Mk_Clip_Animation{
	private static $instance = null;
	public static function instance() { if ( is_null( self::$instance ) ) {self::$instance = new self(); } return self::$instance; }

	public function __construct() {
		add_action( 'elementor/element/section/section_effects/after_section_end', [$this, 'register_controls'] );
		add_action( 'elementor/frontend/section/after_render', [$this, 'render_content'] );
		add_action( 'elementor/section/print_template', [$this, 'print_template'], 10, 2 );

        add_action( 'elementor/element/container/section_effects/after_section_end', [$this, 'register_controls'] );
        add_action( 'elementor/frontend/container/after_render', [$this, 'render_content'] );
        add_action( 'elementor/container/print_template', [$this, 'print_template'], 10, 2 );
	}

	public function register_controls($element) {

		$element->start_controls_section('mk_clips_animation', [
			'label' => esc_html__('Custom - Clips Animation', 'orbius-core'),
			'tab' => \Elementor\Controls_Manager::TAB_ADVANCED,
		]);

		$element->add_control('mk_clips_animation_note', [
			'type' => \Elementor\Controls_Manager::RAW_HTML,
			'raw' => esc_html__( 'NOTICE: When you turn enabled or disabled this feature don\'t forget to click the "Apply" button to see the actual result!', 'orbius-core' ),
			'content_classes' => 'elementor-panel-alert elementor-panel-alert-info',
		]);

		$element->add_control('mk_is_clips_animation', [
			'label' => esc_html__( 'Animation Enable', 'orbius-core' ),
			'type' => \Elementor\Controls_Manager::SWITCHER,
			'prefix_class'  => 'mk-clips-animation-',
		]);

		$repeater = new \Elementor\Repeater();

        $repeater->add_control('mk_clips_image', [
            'label'     => esc_html__( 'Choose Image', 'orbius-core' ),
            'type'      => \Elementor\Controls_Manager::MEDIA,
        ]);

		$repeater->start_controls_tabs( 'mk_clips_anim_tabs' );

        	$repeater->start_controls_tab('mk_clips_anim_effects', [
    			'label' => esc_html__( 'Effects', 'orbius-core' ),
    		]);

        		$repeater->add_control('mk_clips_moveX', [
        			'label' => esc_html__( 'Move Horizontal', 'orbius-core' ),
        			'type'  => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 1, 'min' => -1000, 'max' => 1000, ],
        			],
        			'default' => ['size' => '100'],
        		]);

        		$repeater->add_control('mk_clips_moveY', [
        			'label' => esc_html__( 'Move Vertical', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 1, 'min' => -1000, 'max' => 1000],
        			],
        			'default' => ['size' => '0'],
        		]);

        		$repeater->add_control('mk_clips_zoomX', [
        			'label' => esc_html__( 'Zoom Horizontal', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 0.1, 'min' => 0, 'max' => 20],
        			],
        			'default' => ['size' => '1'],
        			'separator' => 'before',
        		]);

        		$repeater->add_control('mk_clips_zoomY', [
        			'label' => esc_html__( 'Zoom Vertical', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 0.1, 'min' => 0, 'max' => 20],
        			],
        			'default' => ['size' => '1'],
        		]);

        		$repeater->add_control('mk_clips_rotateX', [
        			'label' => esc_html__( 'Rotate X Axis', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 1, 'min' => -360, 'max' => 360],
        			],
        			'default' => ['size' => '0'],
        			'separator' => 'before',
        		]);

        		$repeater->add_control('mk_clips_rotateY', [
        			'label' => esc_html__( 'Rotate Y Axis', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 1, 'min' => -360, 'max' => 360],
        			],
        			'default' => ['size' => '0'],
        		]);

        		$repeater->add_control('mk_clips_rotateZ', [
        			'label' => esc_html__( 'Rotate Z Axis', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 1, 'min' => -360, 'max' => 360],
        			],
        			'default' => ['size' => '0'],
        		]);

        		$repeater->add_control('mk_clips_skewX', [
        			'label' => esc_html__( 'Skew Horizontal', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 1, 'min' => 0, 'max' => 360, ]],
        			'default' => ['size' => '0', ],
        			'separator' => 'before',
        		]);

        		$repeater->add_control('mk_clips_skewY', [
        			'label' => esc_html__( 'Skew Vertical', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 1, 'min' => 0, 'max' => 360],
        			],
        			'default' => ['size' => '0'],
        		]);

        		$repeater->add_control('mk_clips_fade', [
        			'label' => esc_html__( 'Fade', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 0.01, 'min' => 0, 'max' => 1],
        			],
        			'default' => ['size' => '0.01'],
        			'separator' => 'before',
        		]);

        		$repeater->add_control('mk_clips_duration', [
        			'label' => esc_html__( 'Duration', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 100, 'min' => 0, 'max' => 30000],
        			],
        			'default' => ['size' => '2000'],
        			'separator' => 'before',
        		]);

        		$repeater->add_control('mk_clips_delay', [
        			'label' => esc_html__( 'Delay', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SLIDER,
        			'range' => [
        				'px' => ['step' => 100, 'min' => 0, 'max' => 30000],
        			],
        			'default' => ['size' => '0'],
        		]);

        		$repeater->add_control('mk_clips_easing', [
        			'label' => esc_html__( 'Easing', 'orbius-core' ),
        			'type' => \Elementor\Controls_Manager::SELECT,
        			'options' => [
        				'easeInSine'       => esc_html__( 'easeInSine', 'orbius-core' ),
        				'easeOutSine'      => esc_html__( 'easeOutSine', 'orbius-core' ),
        				'easeInOutSine'    => esc_html__( 'easeInOutSine', 'orbius-core' ),
        				'easeInQuad'       => esc_html__( 'easeInQuad', 'orbius-core' ),
        				'easeOutQuad'      => esc_html__( 'easeOutQuad', 'orbius-core' ),
        				'easeInOutQuad'    => esc_html__( 'easeInOutQuad', 'orbius-core' ),
        				'easeInCubic'      => esc_html__( 'easeInCubic', 'orbius-core' ),
        				'easeOutCubic'     => esc_html__( 'easeOutCubic', 'orbius-core' ),
        				'easeInOutCubic'   => esc_html__( 'easeInOutCubic', 'orbius-core' ),
        				'easeInQuart'      => esc_html__( 'easeInQuart', 'orbius-core' ),
        				'easeOutQuart'     => esc_html__( 'easeOutQuart', 'orbius-core' ),
        				'easeInOutQuart'   => esc_html__( 'easeInOutQuart', 'orbius-core' ),
        				'easeInQuint'      => esc_html__( 'easeInQuint', 'orbius-core' ),
        				'easeOutQuint'     => esc_html__( 'easeOutQuint', 'orbius-core' ),
        				'easeInOutQuint'   => esc_html__( 'easeInOutQuint', 'orbius-core' ),
        				'easeInExpo'       => esc_html__( 'easeInExpo', 'orbius-core' ),
        				'easeOutExpo'      => esc_html__( 'easeOutExpo', 'orbius-core' ),
        				'easeInOutExpo'    => esc_html__( 'easeInOutExpo', 'orbius-core' ),
        				'easeInCirc'       => esc_html__( 'easeInCirc', 'orbius-core' ),
        				'easeOutCirc'      => esc_html__( 'easeOutCirc', 'orbius-core' ),
        				'easeInOutCirc'    => esc_html__( 'easeInOutCirc', 'orbius-core' ),
        				'easeInBack'       => esc_html__( 'easeInBack', 'orbius-core' ),
        				'easeOutBack'      => esc_html__( 'easeOutBack', 'orbius-core' ),
        				'easeInOutBack'    => esc_html__( 'easeInOutBack', 'orbius-core' ),
        				'easeInElastic'    => esc_html__( 'easeInElastic', 'orbius-core' ),
        				'easeOutElastic'   => esc_html__( 'easeOutElastic', 'orbius-core' ),
        				'easeInOutElastic' => esc_html__( 'easeInOutElastic', 'orbius-core' ),
        				'easeInBounce'     => esc_html__( 'easeInBounce', 'orbius-core' ),
        				'easeOutBounce'    => esc_html__( 'easeOutBounce', 'orbius-core' ),
        				'easeInOutBounce'  => esc_html__( 'easeInOutBounce', 'orbius-core' ),
        			],
        			'default' => 'easeInOutSine',
        		]);

		  $repeater->end_controls_tab();

		$repeater->start_controls_tab('mk_clips_anim_styles', [
			'label' => esc_html__( 'Styles', 'orbius-core' ),
		]);

		$repeater->add_control('mk_clips_width', [
			'label' => esc_html__( 'Width', 'orbius-core' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'options' => [
				'' => esc_html__( 'Auto', 'orbius-core' ),
				'custom' => esc_html__( 'Custom', 'orbius-core' ),
			],
			'default' => '',
		]);

		$repeater->add_responsive_control('mk_clips_width_size', [
			'label' => esc_html__( 'Width Size', 'orbius-core' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'size_units' => [ '%', 'em', 'px' ],
			'range' => [
				'%' => ['max' => 100], 'em' => ['max' => 200], 'px' => ['max' => 2000],
			],
			'default' => ['unit' => '%', 'size' => '100'],
			'condition' => [
				'mk_clips_width' => 'custom',
			],
			'selectors' => ['{{WRAPPER}} > .mk-clips-anim-wrap .mk-clips-anim{{CURRENT_ITEM}}' => 'width: {{SIZE}}{{UNIT}};'],
		]);

		$repeater->add_responsive_control('mk_clips_pos_left', [
			'label' => esc_html__( 'Left', 'orbius-core' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'size_units' => [ '%', 'em', 'px' ],
			'range' => [
				'%' => ['max' => 100, 'min' => -100], 'em' => ['max' => 200, 'min' => -200], 'px' => ['max' => 2000, 'min' => -2000],
			],
			'default' => ['unit' => '%', 'size' => '10'],
			'selectors' => [
				'{{WRAPPER}} > .mk-clips-anim-wrap .mk-clips-anim{{CURRENT_ITEM}}' => 'left: {{SIZE}}{{UNIT}};',
			],
		]);

		$repeater->add_responsive_control('mk_clips_pos_top', [
			'label' => esc_html__( 'Top', 'orbius-core' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'size_units' => [ '%', 'em', 'px' ],
			'range' => [
				'%' => ['max' => 100, 'min' => -100], 'em' => ['max' => 200, 'min' => -200], 'px' => ['max' => 2000, 'min' => -2000],
			],
			'default' => ['unit' => '%', 'size' => '0'],
			'selectors' => ['{{WRAPPER}} > .mk-clips-anim-wrap .mk-clips-anim{{CURRENT_ITEM}}' => 'top: {{SIZE}}{{UNIT}};'],
		]);

		$repeater->add_control('mk_clips_zindex', [
			'label' => esc_html__( 'Z-Index', 'orbius-core' ),
			'type' => \Elementor\Controls_Manager::NUMBER,
			'default' => 0,
			'selectors' => ['{{WRAPPER}} > .mk-clips-anim-wrap .mk-clips-anim{{CURRENT_ITEM}}' => 'z-index: {{VALUE}};'],
		]);

		$repeater->end_controls_tab();

		$repeater->end_controls_tabs();

		$element->add_control('mk_clips_anim_images', [
			'label' => esc_html__( 'Add Clips', 'orbius-core' ),
			'type' => \Elementor\Controls_Manager::REPEATER,
			'fields' => $repeater->get_controls(),
			'prevent_empty' => false,
			'condition' => ['mk_is_clips_animation' => 'yes'],
		]);

		$element->add_control('mk_clips_animation_apply', [
			'type' => \Elementor\Controls_Manager::RAW_HTML,
			'raw' => '<div class="elementor-update-preview" style="background: rgba(0,0,0,0);margin-left: 0;margin-right: 0;"><div class="elementor-update-preview-title">Update changes to page</div><div class="elementor-update-preview-button-wrapper"><button class="elementor-update-preview-button elementor-button elementor-button-success">Apply</button></div></div>',
		]);

		$element->end_controls_section();
	}

	public function render_content($element) {
		$data = $element->get_settings_for_display();

		if ( 'yes' == $data['mk_is_clips_animation'] ):
			?>
			<div class="mk-clips-anim-wrap mk-clips-anim-wrap-<?php echo esc_attr( $element->get_id() ); ?>">
				<?php foreach ($data['mk_clips_anim_images'] as $image) :
					$clips_data = [
						'moveX' => $image['mk_clips_moveX']['size'],
						'moveY' => $image['mk_clips_moveY']['size'],
						'zoomX' => $image['mk_clips_zoomX']['size'],
						'zoomY' => $image['mk_clips_zoomY']['size'],
						'rotateX' => $image['mk_clips_rotateX']['size'],
						'rotateY' => $image['mk_clips_rotateY']['size'],
						'rotateZ' => $image['mk_clips_rotateZ']['size'],
						'skewX' => $image['mk_clips_skewX']['size'],
						'skewY' => $image['mk_clips_skewY']['size'],
						'fade' => $image['mk_clips_fade']['size'],
						'duration' => $image['mk_clips_duration']['size'],
						'delay' => $image['mk_clips_delay']['size'],
						'easing' => $image['mk_clips_easing'],
					];
					$img_alt = \Elementor\Control_Media::get_image_alt( $image['mk_clips_image'] );
					?>
					<img class="mk-clips-anim pos-abs elementor-repeater-item-<?php echo esc_attr($image['_id']); ?>"
					data-clips-anim='<?php echo json_encode( $clips_data ); ?>'
					src="<?php echo esc_url( $image['mk_clips_image']['url'] ); ?>"
					alt="<?php echo esc_attr( $img_alt ); ?>">
				<?php endforeach; ?>
			</div>
			<?php
		endif;
	}

	public function print_template( $template, $element ) {
		$old_template = $template;

		ob_start();
		?>
		<# if ('yes' == settings.mk_is_clips_animation) { #>
			<div class="mk-clips-anim-wrap mk-clips-anim-wrap-{{{view.getID()}}}">
				<# _.each(settings.mk_clips_anim_images, function (image, index) {
					var clipsData = {
						'moveX' : image.mk_clips_moveX.size,
						'moveY' : image.mk_clips_moveY.size,
						'zoomX' : image.mk_clips_zoomX.size,
						'zoomY' : image.mk_clips_zoomY.size,
						'rotateX' : image.mk_clips_rotateX.size,
						'rotateY' : image.mk_clips_rotateY.size,
						'rotateZ' : image.mk_clips_rotateZ.size,
						'skewX' : image.mk_clips_skewX.size,
						'skewY' : image.mk_clips_skewY.size,
						'fade' : image.mk_clips_fade.size,
						'duration' : image.mk_clips_duration.size,
						'delay' : image.mk_clips_delay.size,
						'easing' : image.mk_clips_easing,
					}
					clipsData = JSON.stringify(clipsData);
					#>
					<img class="mk-clips-anim pos-abs elementor-repeater-item-{{{image._id}}}"
					data-clips-anim='{{{clipsData}}}'
					src="{{{image.mk_clips_image.url}}}">
				<# }); #>
			</div>
		<# } #>
		<?php
		$content = ob_get_contents();
		ob_end_clean();

		return $content . $old_template;
	}

}

Mk_Clip_Animation::instance();