<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
if ( ! class_exists( 'Mk_Infinite_Animation' ) ) {
	class Mk_Infinite_Animation {

		private static $instance = null;
        public static function instance() { if ( is_null( self::$instance ) ) {self::$instance = new self(); } return self::$instance; }
		public function __construct() {
            add_action( 'elementor/element/column/section_advanced/after_section_end', [ $this, 'widget_tab_advanced_add_infinite_section' ], 10, 2 );
            add_action( 'elementor/element/common/_section_style/after_section_end', [ $this, 'widget_tab_advanced_add_infinite_section' ], 10, 2 );
		}

        public function widget_tab_advanced_add_infinite_section( $element, $args ) {

            $element->start_controls_section('mk_ext_infinite_animation_section',[
                'label' => esc_html__( 'Custom - Infinite Animation', 'orbius-core' ),
                'tab'   => \Elementor\Controls_Manager::TAB_ADVANCED,
            ]);

                $element->add_control('mk_ext_is_infinite',[
                    'label'        => esc_html__( 'Infinite Animation', 'orbius-core' ),
                    'description'  => esc_html__( 'Add custom infinite animation to element', 'orbius-core' ),
                    'type'         => \Elementor\Controls_Manager::SWITCHER,
                    'label_on'     => esc_html__( 'Yes', 'orbius-core' ),
                    'label_off'    => esc_html__( 'No', 'orbius-core' ),
                    'return_value' => 'true',
                    'default'      => 'false',
                    'separator'   => 'before',
                    'frontend_available' => true,
                ]);

                $element->add_control('mk_ext_infinite_animation',[
                    'label'       => esc_html__( 'Animation Type', 'orbius-core' ),
                    'type' => \Elementor\Controls_Manager::SELECT,
                    'default' => 'if_bounce',
                    'options' => [
                        'if_swing1' => esc_html__( 'Swing 1', 'orbius-core' ),
                        'if_swing2' => esc_html__( 'Swing 2', 'orbius-core' ),
                        'if_wave'   => esc_html__( 'Wave', 'orbius-core' ),
                        'if_tilt'   => esc_html__( 'Tilt', 'orbius-core' ),
                        'if_bounce' => esc_html__( 'Bounce', 'orbius-core' ),
                        'if_scale'  => esc_html__( 'Scale', 'orbius-core' ),
                        'if_spin'   => esc_html__( 'Spin', 'orbius-core' ),
                        'if_spin2'   => esc_html__( 'Spin 2', 'orbius-core' ),
                    ],
                    'condition' => ['mk_ext_is_infinite' => 'true'],
                    'frontend_available' => true,
                ]);

                $element->add_control('mk_ext_infinite_easing',[
                    'label'       => esc_html__( 'Easing', 'orbius-core' ),
                    'type' => \Elementor\Controls_Manager::SELECT,
                    'default' => '0.250, 0.250, 0.750, 0.750',
                    'options' => [
                        '0.250, 0.250, 0.750, 0.750' => esc_html__( 'linear', 'orbius-core' ),
                        '0.250, 0.100, 0.250, 1.000' => esc_html__( 'ease', 'orbius-core' ),
                        '0.420, 0.000, 1.000, 1.000' => esc_html__( 'ease-in', 'orbius-core' ),
                        '0.000, 0.000, 0.580, 1.000' => esc_html__( 'ease-out', 'orbius-core' ),
                        '0.420, 0.000, 0.580, 1.000' => esc_html__( 'ease-in-out', 'orbius-core' ),
                        '0.550, 0.085, 0.680, 0.530' => esc_html__( 'easeInQuad', 'orbius-core' ),
                        '0.550, 0.055, 0.675, 0.190' => esc_html__( 'easeInCubic', 'orbius-core' ),
                        '0.895, 0.030, 0.685, 0.220' => esc_html__( 'easeInQuart', 'orbius-core' ),
                        '0.755, 0.050, 0.855, 0.060' => esc_html__( 'easeInQuint', 'orbius-core' ),
                        '0.470, 0.000, 0.745, 0.715' => esc_html__( 'easeInSine', 'orbius-core' ),
                        '0.950, 0.050, 0.795, 0.035' => esc_html__( 'easeInExpo', 'orbius-core' ),
                        '0.600, 0.040, 0.980, 0.335' => esc_html__( 'easeInCirc', 'orbius-core' ),
                        '0.600, -0.280, 0.735, 0.045' => esc_html__( 'easeInBack', 'orbius-core' ),
                        '0.250, 0.460, 0.450, 0.940' => esc_html__( 'easeOutQuad', 'orbius-core' ),
                        '0.215, 0.610, 0.355, 1.000' => esc_html__( 'easeOutCubic', 'orbius-core' ),
                        '0.165, 0.840, 0.440, 1.000' => esc_html__( 'easeOutQuart', 'orbius-core' ),
                        '0.230, 1.000, 0.320, 1.000' => esc_html__( 'easeOutQuint', 'orbius-core' ),
                        '0.390, 0.575, 0.565, 1.000' => esc_html__( 'easeOutSine', 'orbius-core' ),
                        '0.190, 1.000, 0.220, 1.000' => esc_html__( 'easeOutExpo', 'orbius-core' ),
                        '0.075, 0.820, 0.165, 1.000' => esc_html__( 'easeOutCirc', 'orbius-core' ),
                        '0.175, 0.885, 0.320, 1.275' => esc_html__( 'easeOutBack', 'orbius-core' ),
                        '0.455, 0.030, 0.515, 0.955' => esc_html__( 'easeInOutQuad', 'orbius-core' ),
                        '0.645, 0.045, 0.355, 1.000' => esc_html__( 'easeInOutCubic', 'orbius-core' ),
                        '0.770, 0.000, 0.175, 1.000' => esc_html__( 'easeInOutQuart', 'orbius-core' ),
                        '0.860, 0.000, 0.070, 1.000' => esc_html__( 'easeInOutQuint', 'orbius-core' ),
                        '0.445, 0.050, 0.550, 0.950' => esc_html__( 'easeInOutSine', 'orbius-core' ),
                        '1.000, 0.000, 0.000, 1.000' => esc_html__( 'easeInOutExpo', 'orbius-core' ),
                        '0.785, 0.135, 0.150, 0.860' => esc_html__( 'easeInOutCirc', 'orbius-core' ),
                        '0.680, -0.550, 0.265, 1.550' => esc_html__( 'easeInOutBack', 'orbius-core' ),
                    ],
                    'condition' => ['mk_ext_is_infinite' => 'true'],
                    'frontend_available' => true
                ]);

                $element->add_control('mk_ext_infinite_duration',[
                    'label' => esc_html__( 'Animation Duration (s)', 'orbius-core' ),
                    'type' => \Elementor\Controls_Manager::NUMBER,
                    'min' => 1,
                    'max' => 15,
                    'step' => 1,
                    'default' => 4,
                    'condition' => ['mk_ext_is_infinite' => 'true'],
                    'frontend_available' => true
                ]);

            $element->end_controls_section();
        }

	}
}

Mk_Infinite_Animation::instance();