<?php
if ( ! defined( 'WPINC' ) ) { die; }
if ( ! class_exists( 'Mk_Scroll_Animation' ) ) {
	class Mk_Scroll_Animation {

		private static $instance = null;
        public static function instance() { if ( is_null( self::$instance ) ) {self::$instance = new self(); } return self::$instance; }
		public function __construct() {
			add_action( 'elementor/element/column/section_advanced/after_section_end', [ $this, 'widget_tab_advanced_add_section' ], 10, 2 );
			add_action( 'elementor/element/common/_section_style/after_section_end', [ $this, 'widget_tab_advanced_add_section' ], 10, 2 );
		}
		
		public function widget_tab_advanced_add_section( $element ) {

			$element->start_controls_section('mk_ext_animation_section',[
				'label' => esc_html__( 'Custom - Scroll Animation', 'orbius-core' ),
				'tab'   => \Elementor\Controls_Manager::TAB_ADVANCED,
			]);

                $element->add_control('mk_scroll_animation_note', [
                    'type' => \Elementor\Controls_Manager::RAW_HTML,
                    'raw' => esc_html__( 'NOTICE: When you turn enabled or disabled this feature don\'t forget to click the "Apply" button to see the actual result!', 'orbius-core' ),
                    'content_classes' => 'elementor-panel-alert elementor-panel-alert-warning',
                ]);

    			$element->add_control('mk_ext_is_scrollme',[
    				'label'        => esc_html__( 'Scroll Animation', 'orbius-core' ),
    				'description'  => esc_html__( 'Add animation to element when scrolling through page contents', 'orbius-core' ),
    				'type'         => \Elementor\Controls_Manager::SWITCHER,
    				'label_on'     => esc_html__( 'Yes', 'orbius-core' ),
    				'label_off'    => esc_html__( 'No', 'orbius-core' ),
    				'return_value' => 'true',
    				'default'      => 'false',
    				'frontend_available' => true,
    			]);

    			$element->add_control('mk_ext_scrollme_disable',[
    				'label'       => esc_html__( 'Disable for', 'orbius-core' ),
    				'type' => \Elementor\Controls_Manager::SELECT,
    				'default' => 'mobile',
    			    'options' => [
    			     	'none' => esc_html__( 'None', 'orbius-core' ),
    			     	'tablet' => esc_html__( 'Mobile and Tablet', 'orbius-core' ),
    			     	'mobile' => esc_html__( 'Mobile', 'orbius-core' ),
    			    ],
    				'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    			]);

    			$element->add_control('mk_ext_scrollme_smoothness', [
    		        'label' => esc_html__( 'Smoothness', 'orbius-core' ),
    		        'description' => esc_html__( 'factor that slowdown the animation, the more the smoothier', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 30],
    		        'range' => [
    		            'px' => ['min' => 0, 'max' => 100, 'step' => 5]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_scalex', [
    		        'label' => esc_html__( 'Scale X', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 1],
    		        'range' => [
    		            'px' => ['min' => 0.1, 'max' => 2, 'step' => 0.1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_scaley', [
    		        'label' => esc_html__( 'Scale Y', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 1],
    		        'range' => [
    		            'px' => ['min' => 0.1, 'max' => 2, 'step' => 0.1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_scalez', [
    		        'label' => esc_html__( 'Scale Z', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 1],
    		        'range' => [
    		            'px' => ['min' => 0.1, 'max' => 2, 'step' => 0.1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_rotatex', [
    		        'label' => esc_html__( 'Rotate X', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 0],
    		        'range' => [
    		            'px' => ['min' => -360, 'max' => 360, 'step' => 1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_rotatey', [
    		        'label' => esc_html__( 'Rotate Y', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 0],
    		        'range' => [
    		            'px' => ['min' => -360, 'max' => 360, 'step' => 1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_rotatez', [
    		        'label' => esc_html__( 'Rotate Z', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 0],
    		        'range' => [
    		            'px' => ['min' => -360, 'max' => 360, 'step' => 1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_translatex', [
    		        'label' => esc_html__( 'Translate X', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 0],
    		        'range' => [
    		            'px' => ['min' => -1000, 'max' => 1000, 'step' => 1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_translatey', [
    		        'label' => esc_html__( 'Translate Y', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 0],
    		        'range' => [
    		            'px' => ['min' => -1000, 'max' => 1000, 'step' => 1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

    			$element->add_control('mk_ext_scrollme_translatez', [
    		        'label' => esc_html__( 'Translate Z', 'orbius-core' ),
    		        'type' => \Elementor\Controls_Manager::SLIDER,
    		        'default' => ['size' => 0],
    		        'range' => [
    		            'px' => ['min' => -1000, 'max' => 1000, 'step' => 1]
    		        ],
    		        'size_units' => [ 'px' ],
    		        'condition' => ['mk_ext_is_scrollme' => 'true'],
    				'frontend_available' => true,
    		    ]);

                $element->add_control('mk_scroll_animation_apply', [
                    'type' => \Elementor\Controls_Manager::RAW_HTML,
                    'raw' => '<div class="elementor-update-preview" style="background: rgba(0,0,0,0);margin-left: 0;margin-right: 0;"><div class="elementor-update-preview-title">Update changes to page</div><div class="elementor-update-preview-button-wrapper"><button class="elementor-update-preview-button elementor-button elementor-button-success">Apply</button></div></div>',
                ]);

			$element->end_controls_section();
		}

	}
}

Mk_Scroll_Animation::instance();