<?php

// Additional Shape Colors >>>> Section/Container > Style > Shape Divider
add_action( 'elementor/element/container/section_shape_divider/before_section_end', 'mk_shape_divider_extra_colors' );
add_action( 'elementor/element/section/section_shape_divider/before_section_end', 'mk_shape_divider_extra_colors' );

function mk_shape_divider_extra_colors($control_stack) {

    // Bottom
    $control_stack->start_injection([
        'at' => 'before',
        'of' => 'shape_divider_bottom_width'
    ]);

    $control_stack->add_control('swm_custom_shape_bottom_color2', [
        'label' => esc_html__( 'Color 2', 'orbius-core' ),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .elementor-shape-bottom .elementor-shape-fill:nth-child(2)' => 'fill: {{VALUE}}; fill-opacity: 1 !important; opacity: 1 !important;',
        ],
        'condition' => [
            'shape_divider_bottom!' => '',
        ],
    ]);

    $control_stack->add_control('swm_custom_shape_bottom_color3', [
        'label' => esc_html__( 'Color 3', 'orbius-core' ),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .elementor-shape-bottom .elementor-shape-fill:nth-child(3)' => 'fill: {{VALUE}}; fill-opacity: 1 !important; opacity: 1 !important;',
        ],
        'condition' => [
            'shape_divider_bottom!' => '',
        ],
    ]);

    $control_stack->add_control('swm_custom_shape_bottom_color4', [
        'label' => esc_html__( 'Color 4', 'orbius-core' ),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .elementor-shape-bottom .elementor-shape-fill:nth-child(4)' => 'fill: {{VALUE}}; fill-opacity: 1 !important; opacity: 1 !important;',
        ],
        'condition' => [
            'shape_divider_bottom!' => '',
        ],
    ]);

    $control_stack->end_injection();

    // Top
    $control_stack->start_injection([
        'at' => 'before',
        'of' => 'shape_divider_top_width'
    ]);

    $control_stack->add_control('swm_custom_shape_top_color2', [
        'label' => esc_html__( 'Color 2', 'orbius-core' ),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .elementor-shape-top .elementor-shape-fill:nth-child(2)' => 'fill: {{VALUE}}; fill-opacity: 1 !important; opacity: 1 !important;',
        ],
        'condition' => [
            'shape_divider_top!' => '',
        ],
    ]);

    $control_stack->add_control('swm_custom_shape_top_color3', [
        'label' => esc_html__( 'Color 3', 'orbius-core' ),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .elementor-shape-top .elementor-shape-fill:nth-child(3)' => 'fill: {{VALUE}}; fill-opacity: 1 !important; opacity: 1 !important;',
        ],
        'condition' => [
            'shape_divider_top!' => '',
        ],
    ]);

    $control_stack->add_control('swm_custom_shape_top_color4', [
        'label' => esc_html__( 'Color 4', 'orbius-core' ),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .elementor-shape-top .elementor-shape-fill:nth-child(4)' => 'fill: {{VALUE}}; fill-opacity: 1 !important; opacity: 1 !important;',
        ],
        'condition' => [
            'shape_divider_top!' => '',
        ],
    ]);

    $control_stack->end_injection();

    // Bottom shape animation
    $control_stack->start_injection([
        'at' => 'after',
        'of' => 'shape_divider_bottom_above_content'
    ]);

    $control_stack->end_injection();

    // Top shape animation
    $control_stack->start_injection([
        'at' => 'after',
        'of' => 'shape_divider_top_above_content'
    ]);

    $control_stack->end_injection();

}

// Add background Blur Level Option in Container > Style > Background
add_action( 'elementor/element/container/section_background/before_section_end', 'mk_background_extra_colors' );
add_action( 'elementor/element/section/section_background/before_section_end', 'mk_background_extra_colors' );

function mk_background_extra_colors($control_stack) {

    $control_stack->start_injection([
        'at' => 'after',
        'of' => 'section_background'
    ]);

        $control_stack->add_control('section_bg_blur_level', [
            'label'      => esc_html__( 'Background Blur Level', 'orbius-core' ),
            'type'       => \Elementor\Controls_Manager::SLIDER,
            'size_units' => [ 'px' ],
            'range'      => ['px' => ['min'  => 0, 'max'  => 50, 'step' => 1]],
            'selectors'  => ['
                {{WRAPPER}}' => '-webkit-backdrop-filter: blur({{SIZE}}px); backdrop-filter: blur({{SIZE}}px);',
            ],
        ]);

    $control_stack->end_injection();

}


// Add background Blur Level Option in Container > Style > Background Overlay
add_action( 'elementor/element/container/section_background_overlay/before_section_end', 'mk_background_overlay_extra_colors' );
add_action( 'elementor/element/section/section_background_overlay/before_section_end', 'mk_background_overlay_extra_colors' );

function mk_background_overlay_extra_colors($control_stack) {

    $control_stack->start_injection([
        'at' => 'after',
        'of' => 'section_background_overlay'
    ]);

        $control_stack->add_control('section_bg_overlay_blur_level', [
            'label'      => esc_html__( 'Background Blur Level', 'orbius-core' ),
            'type'       => \Elementor\Controls_Manager::SLIDER,
            'size_units' => [ 'px' ],
            'range'      => ['px' => ['min'  => 0, 'max'  => 50, 'step' => 1]],
            'selectors'  => ['
                {{WRAPPER}}:before' => '-webkit-backdrop-filter: blur({{SIZE}}px); backdrop-filter: blur({{SIZE}}px);',
            ],
        ]);

    $control_stack->end_injection();

}