<?php
if ( ! defined( 'WPINC' ) ) { die; }

if ( ! class_exists( 'Mk_Sticky_Container' ) ) {

    class Mk_Sticky_Container {

        private static $instance = null;

        public function __construct() {
            add_action( 'elementor/element/container/section_effects/after_section_end', [$this, 'widget_tab_advanced_add_section'] );
        }

        public function widget_tab_advanced_add_section( $element ) {

            $element->start_controls_section('mk_ext_sticky_section',[
                'label' => esc_html__( 'Custom - Sticky Options', 'orbius-core' ),
                'tab'   => Elementor\Controls_Manager::TAB_ADVANCED,
            ]);

            $element->add_control('mk_ext_is_sticky',[
                'label'        => esc_html__( 'Enbale Sticky Effect', 'orbius-core' ),
                'description'  => esc_html__( 'Enbale this option to sticky this element to parent element', 'orbius-core' ),
                'type'         => Elementor\Controls_Manager::SWITCHER,
                'label_on'     => esc_html__( 'Yes', 'orbius-core' ),
                'label_off'    => esc_html__( 'No', 'orbius-core' ),
                'return_value' => 'true',
                'default'      => 'false',
                'frontend_available' => true,
            ]);

            $element->add_control('mk_sticky_effect_note', [
                'type' => \Elementor\Controls_Manager::RAW_HTML,
                'raw' => esc_html__( 'NOTE: Please use brower frontend to view sticky effect. ', 'orbius-core' ),
                'content_classes' => 'elementor-panel-alert elementor-panel-alert-info',
                'condition' => [
                    'mk_ext_is_sticky' => 'true',
                ],
            ]);

            $element->add_control('mk_ext_sticky_top_spacing',[
                'label' => esc_html__( 'Top Spacing (px)', 'orbius-core' ),
                'description' => esc_html__( 'Additional top spacing of the element when it becomes sticky', 'orbius-core' ),
                'type' => Elementor\Controls_Manager::SLIDER,
                'default' => ['size' => 100, ],
                'range' => ['px' => ['min' => 0, 'max' => 1000, 'step' => 1, ] ],
                'size_units' => [ 'px' ],
                'condition' => [
                    'mk_ext_is_sticky' => 'true',
                ],
                'frontend_available' => true,
            ]);

            $element->add_control('mk_ext_hide_sticky_resolution',[
                'label' => esc_html__( 'Minimum width to run sticky effect (px)', 'orbius-core' ),
                'description' => esc_html__( 'Disable sticky effect on small resolutions - mobile(768), tablet(1024).', 'orbius-core' ),
                'type' => Elementor\Controls_Manager::SLIDER,
                'default' => ['size' => 1024, ],
                'range' => ['px' => ['min' => 0, 'max' => 2000, 'step' => 1, ] ],
                'size_units' => [ 'px' ],
                'condition' => [
                    'mk_ext_is_sticky' => 'true',
                ],
                'frontend_available' => true,
            ]);

            $element->end_controls_section();
        }

        public static function get_instance() { if ( null == self::$instance ) {self::$instance = new self; } return self::$instance; }

    }
}

Mk_Sticky_Container::get_instance();