function isTouchDevice() { return 'ontouchstart' in window || 'onmsgesturechange' in window; }
function isMobileDevice() { return (typeof window.orientation !== "undefined") || (navigator.userAgent.indexOf('IEMobile') !== -1); };
function getWindowWidth() { return $( window ).width(); }
function getWindowHeight() { return $( window ).height(); }
function pad( d ) { return ( d < 10 ) ? '0' + d.toString() : d.toString(); }  // Check formatted number
function isEmptyObj(obj) { for(var i in obj) { return false; }  return true; }

function mkElemFrontendObject($elementorFrontend,$scope) {

    if($elementorFrontend.isEditMode()) {
        var elementSettings = {};
        var modelCID        = $scope.data( 'model-cid' );

        var settings        = $elementorFrontend.config.elements.data[ modelCID ];
        if(typeof settings != 'undefined') {
            var type         = settings.attributes.widgetType || settings.attributes.elType,
                settingsKeys = $elementorFrontend.config.elements.keys[ type ];

            if ( ! settingsKeys ) {
                settingsKeys = $elementorFrontend.config.elements.keys[type] = [];

                jQuery.each( settings.controls, function ( name, control ) {
                    if ( control.frontend_available ) {
                        settingsKeys.push( name );
                    }
                });
            }

            jQuery.each( settings.getActiveControls(), function( controlKey ) {
                if ( -1 !== settingsKeys.indexOf( controlKey ) ) {
                    elementSettings[ controlKey ] = settings.attributes[ controlKey ];
                }
            });

            var getWidgetExt = elementSettings;
        }
    } else {
        //Get widget settings data
        var widgetExtObj = $scope.attr('data-settings');

        if(typeof widgetExtObj != 'undefined') {
            var getWidgetExt = JSON.parse(widgetExtObj);
        }
    }

    return getWidgetExt;
}