(function($) {
    "use strict";

    elementor.hooks.addFilter('editor/style/styleText', function(css, view) {
        if (view != undefined || view != null) {
            const model     = view.getEditModel(),
                widgetType  = model.get('widgetType'),
                customCSS   = model.get('settings').get('st_css_custom'),
                version     = elementor.config.document.version,
                breakpoints = [];


            if (elementor.helpers.compareVersions(version, '3.2.0', '>=')) {
                const active_breakpoint = elementorFrontend.config.responsive.activeBreakpoints;

                Object.keys(active_breakpoint).forEach(function(key) {
                    breakpoints.push({ key: key, value: active_breakpoint[key].value });
                });
            } else {
                breakpoints.push({ key: 'tablet', value: elementorFrontend.config.breakpoints.lg - 1 });
                breakpoints.push({ key: 'mobile', value: elementorFrontend.config.breakpoints.md - 1 });
            }

            breakpoints.sort(function(a, b) {
                return b.value - a.value;
            });

            // Portfolio Gallery remove right border
            if ('mk_background_switcher' == widgetType) {
                let column = parseInt(model.get('settings').get('bg_switcher_columns')),
                    selector = '.elementor-element.elementor-element-' + model.get('id') + ' .bg-switcher-item',
                    list_items = model.get('settings').get('list_items').length;

                if (list_items > column) {
                    css += selector + ' { border-bottom:1px solid ' + model.get('settings').get('border_color') + ' ; }';
                }

                if (breakpoints.length > 0) {
                    css += '@media (min-width: ' + breakpoints[0].value + 'px) {' + selector + ':nth-child(' + column + 'n) { border-right-width:0; } }';
                } else {
                    css += selector + ':nth-child(' + column + 'n) { border-right-width:0; }';
                }

                for (let i = 0; i < breakpoints.length - 1; i++) {
                    let getColumn = parseInt(model.get('settings').get('bg_switcher_columns_' + breakpoints[i].key));
                    css += '@media (min-width: ' + (breakpoints[i + 1].value + 1) + 'px) and (max-width: ' + breakpoints[i].value + 'px) {' + selector + ':nth-child(' + getColumn + 'n) { border-right-width:0; }}';
                }

                if (breakpoints.length > 0) {
                    column = model.get('settings').get('bg_switcher_columns_' + breakpoints[breakpoints.length - 1].key);
                    css += '@media (max-width: ' + breakpoints[breakpoints.length - 1].value + 'px) {' + selector + ':nth-child(' + column + 'n) { border-right-width:0; } }';
                }
            }

        }

        return css;
    });
})(jQuery);