<?php if ( ! defined( 'ABSPATH' ) ) { exit; } ?>
<div <?php echo mk_add_inline_attr( $holder_classes, 'class' ); ?> <?php echo mk_add_inline_attr( $data_attr, 'data-options' ); ?>>
    <!-- filter -->
    <?php
    if ( isset($enable_filter) && 'yes' === $enable_filter ) :
        $filter_items = mk_get_filter_items( $params ); ?>
        <div class="mk-m-filter">
            <?php if ( ! empty( $filter_items ) ) { ?>
                <div class="mk-m-filter-items">
                    <a class="mk-m-filter-item mk--active" href="#" data-taxonomy="<?php echo esc_attr( $taxonomy_filter ); ?>" data-filter="*"><?php if ( isset($filter_all_text) ) { echo $filter_all_text; } ?></a>
                    <?php
                    foreach ( $filter_items as $item ) {
                        $filter_value = is_numeric( $item->slug ) ? $item->term_id : $item->slug; ?>
                        <a class="mk-m-filter-item" href="#" data-taxonomy="<?php echo esc_attr( $taxonomy_filter ); ?>" data-filter="<?php echo esc_attr( $filter_value ); ?>"><?php echo esc_html( $item->name ); ?></a>
                    <?php } ?>
                </div>
            <?php } ?>
        </div>
        <?php
    endif;
        // Include loading spinner
        if ( !isset($params['pagination_type']) || 'no-pagination' === $params['pagination_type'] ) {
            echo '<p class="mk-pagination-spinner mk-filter-pagination-spinner"><i class="fas fa-spinner"></i></p>';
        }  ?>

    <!-- content -->
    <div class="mk-grid-inner clear">
        <?php if ( isset($masonry_on) && 'yes' === $masonry_on ) { ?>
            <div class="mk-grid-masonry-sizer"></div>
            <div class="mk-grid-masonry-gutter"></div>
        <?php }
        mk_list_sc_template_part( 'grid/portfolio-loop.php', $params );
         ?>
    </div>

    <?php
        if ( isset($params['pagination_type']) && 'no-pagination' !== $params['pagination_type'] ) {
            mk_list_sc_template_part( 'pagination/pagination-'. $params['pagination_type'] .'.php', $params );
        }
    ?>
</div>
