<?php if ( ! defined( 'ABSPATH' ) ) { exit; }

$postid        = get_the_ID();
$get_permalink = get_the_permalink($postid);
?>
<article <?php
    // classes
    post_class( $item_classes );

    // padding style
    if ( (isset($masonry_on) && 'yes' === $masonry_on) && (isset($custom_top_padding_on) && 'yes' === $custom_top_padding_on) ) {
        $mk_portfolio_item_custom_padding = get_post_meta( $postid, 'mk_portfolio_item_custom_padding', true );
        if (!empty($mk_portfolio_item_custom_padding)) {
            echo ' style="padding:'.esc_attr($mk_portfolio_item_custom_padding).';"';
        }
    }
?>>
    <div class="mk-portfolio-wrap content-position--<?php echo $content_position; ?>" >
        <?php
            $postid        = get_the_ID();
            $get_permalink = get_the_permalink();

            $mk_portfolio_item_custom_link          = get_post_meta( $postid, 'mk_portfolio_item_custom_link', true );
            $mk_portfolio_item_custom_link_target   = get_post_meta( $postid, 'mk_portfolio_item_custom_link_target', true );
            $get_permalink                          = !empty($mk_portfolio_item_custom_link) ? $mk_portfolio_item_custom_link : $get_permalink;
            $link_target                            = isset($mk_portfolio_item_custom_link_target) ? $mk_portfolio_item_custom_link_target : '_self';

            // Post Image
            if ( has_post_thumbnail() ) {

                $mk_attached_image = wp_get_attachment_url(get_post_thumbnail_id($postid));
                $post_thumbnail_id   = get_post_thumbnail_id($postid);

                if ( isset($masonry_on) && 'yes' === $masonry_on ) {
                    if ($masonry_img === 'packery' ) {
                        $post_img_size = isset($image_dimension) ? 'mk_image_size_' . $image_dimension : 'full';
                        $img_link      = wp_get_attachment_image_src( $post_thumbnail_id, $post_img_size );
                        $img_link      = $img_link[0];
                    } else {
                        $post_img_size = 'full';
                    }
                }

                $portfolio_image = mk_portfolio_image($post_img_size,  $post_thumbnail_id, $params, $mk_attached_image);

                $subtitle = '';
                if ( isset($show_subtitle) && $show_subtitle ) {
                    if ( isset($subtitle_type) && $subtitle_type == 'excerpt' ) {
                        $subtitle .= '<div class="mk-portfolio-subtitle">' . mk_short_text(get_the_excerpt(),intval($excerpt_length)) . '</div>';
                    } else {

                    $subtitle .= '<div class="mk-portfolio-subtitle">';
                    $mk_portfolio_all_cats = get_the_terms( get_the_ID(), 'portfolio_category' );
                    $mk_portfolio_cat_list = array();

                        if($mk_portfolio_all_cats){
                            foreach($mk_portfolio_all_cats as $category) {
                                $mk_portfolio_cat_list[] = esc_html($category->name);
                            }
                            $subtitle .= implode('<span>, </span>', $mk_portfolio_cat_list);
                        }
                    $subtitle .= '</div>';

                    }
                }

                $titleHTML = '<' . $title_tag . ' class="mk-portfolio-title"><a href="' . $get_permalink . '" target="'.$link_target.'">' . mk_short_text(get_the_title(),intval($title_length)) . '</a></'.$title_tag.'>' . $subtitle;

                $contentHTML =  '<div class="mk-portfolio-content">
                                    <div class="mk-portfolio-content-holder">
                                        <div class="mk-portfolio-title-subtitle">' . $titleHTML . '</div>
                                    </div>
                                </div>';

                $imgClass = '';

                if ( isset($masonry_on) && 'yes' === $masonry_on && $masonry_img === 'packery' ) {
                    $imgClass = 'class="mk-portfolio-image mk-packery-bg-img" style="background-image:url('.$img_link.');"';
                } else {
                    $imgClass = 'class="mk-portfolio-image"';
                }

                if ( $content_position == 'above') { echo $contentHTML; }

                $eyeCursor = ( isset($hover_cursor_on) && 'yes' === $hover_cursor_on ) ? ' mk--eye-cursor' : '';

                ?>
                <div <?php echo $imgClass; ?> >
                    <?php if ( $content_position == 'hover-over' ) { ?><a href="<?php echo esc_url( $get_permalink ); ?>" class="mk-portfolio-modern-overlay"></a><?php } ?>
                    <?php if ( $content_position == 'over' || $content_position == 'hover-over' ) { echo $contentHTML; } ?>
                    <a href="<?php echo esc_url( $get_permalink ); ?>" class="mk-post-grid-image swm-anim<?php echo $eyeCursor; ?>" target="<?php echo $link_target; ?>"><?php echo $portfolio_image; ?></a>
                </div> <!-- mk-portfolio-image -->
                <?php

                if ( $content_position == 'below') { echo $contentHTML; }
            }
            ?>
    </div>
</article>