<?php if ( ! defined( 'ABSPATH' ) ) { exit; } ?>
<article <?php post_class( $item_classes ); if ( isset($appear_delay) && '' != $appear_delay ) { echo $appear_delay; } ?>>
    <div class="mk-post-wrap" >
    	<?php

            $postid = get_the_ID();
            $get_permalink = get_the_permalink();
            $postImageHtml = '';

            // Post Image
            if ( has_post_thumbnail() && isset($show_image) && $show_image ) {

                $mk_attached_image = wp_get_attachment_url(get_post_thumbnail_id($postid));
                $post_thumbnail_id   = get_post_thumbnail_id($postid);

                if ( isset($masonry_on) && 'yes' === $masonry_on ) {
                    $post_img_size = 'full';
                }

                if (  'custom' === $post_img_size  ) {
                    $imgUrl = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $post_thumbnail_id, 'post_img', $params );
                    if ( ! $imgUrl ) {
                        $imgUrl = $mk_attached_image;
                    }
                    $post_image = '<img src="'.esc_url($imgUrl).'" alt="" />';
                } else {
                    $post_image = wp_get_attachment_image( $post_thumbnail_id, $post_img_size);
                }

                $postImageHtml .= '<div class="mk-post-image">
                                    <a href="' . esc_url( $get_permalink ) . '" class="mk-post-grid-image swm-anim">' . $post_image . '</a>
                                </div>';
            }

            if (isset($display_style) && $display_style === 'st1' ) { echo $postImageHtml; }

            ?>

    		<div class="mk-post-content">

                <?php if ( isset($show_metas) && $show_metas ) { ?>

                        <div class="mk-post-meta  highlight-text"><?php
                            if ( isset($show_date) && $show_date ) {
                                $date_link = empty( get_the_title() ) && ! is_single() ? get_the_permalink() : get_month_link( get_the_time( 'Y' ), get_the_time( 'm' ) );
                                $classes   = '';
                                if ( is_single() || is_page() || is_archive() ) { // This check is to prevent classes for Gutenberg block
                                    $classes = 'published updated';
                                }
                                ?><div class="mk-post-meta-date-separator"></div><a href="<?php echo esc_url( $date_link ); ?>" class="entry-date <?php echo esc_attr( $classes ); ?>"><?php the_time( get_option( 'date_format' ) ); ?></a><div class="mk-post-meta-separator"></div><?php
                            }

                            if ( isset($show_category) && $show_category ) {
                                echo get_the_term_list( get_the_ID(), 'category', '', '<span class="mk-post-meta-cat-separator"></span>' ) . '<div class="mk-post-meta-separator"></div>';
                            }

                            if ( isset($show_author) && $show_author ) {
                                echo '<span class="swm-info-author-label">' . esc_html__( 'by', 'orbius-core' ) . '</span> <a href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) )) . '" class="swm-info-author">' . get_the_author() . '</a><div class="mk-post-meta-separator"></div>';
                            }

                            if ( isset($show_comment_count) && $show_comment_count ) {
                                if ( comments_open() ) {
                                    echo '<a href="' . get_comments_link() . '" class="swm-info-comments-link">' . mk_get_comments_number(false) . '</a><div class="mk-post-meta-separator"></div>';
                                }
                            } ?>

                        </div>

                <?php }

                echo '<' . $title_tag . ' class="mk_post_title"><a href="' . $get_permalink . '">' . mk_short_text(get_the_title(),intval($title_length)) . '</a></'.$title_tag.'>';

                if (isset($display_style) && $display_style === 'st2' ) { echo $postImageHtml; }

                if ( isset($show_excerpt) && $show_excerpt ) {
                    echo '<div class="mk_post_excerpt">' . mk_short_text(get_the_excerpt(),intval($excerpt_length)) . '</div>';
                }

                if ( isset($button_text) && $button_text != '' ) { ?>
                    <div class="mk-post-button"><a href="<?php echo esc_url( get_permalink() ); ?>"><span class="mk-post-button-arrow-start" ></span><span class="mk-post-button-text" ><?php echo wp_kses( $button_text,mk_kses_allowed_text() ); ?></span><span class="mk-post-button-arrow-end" ></span></a></div>
                <?php } ?>
            </div>
    </div>
</article>