<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if (!function_exists('swm_get_page_postmetas')) {
    function swm_get_page_postmetas() {

        $swm_page_postmetas = array();

        $swm_page_postmetas[] = array(
            "id" => "swm_meta_content_layout",
            "title" => esc_html__('Content Layout', 'orbius-core' ),
            "description" => esc_html__('Select layout between header and footer', 'orbius-core' ),
            "type" => "select",
            'default' => 'layout-full-width',
            "options" => array(
                "default"               => esc_html__( 'Default', 'orbius-core' ),
                "layout-sidebar-right"  => esc_html__( 'Content Left - Sidebar Right', 'orbius-core' ),
                "layout-sidebar-left"   => esc_html__( 'Content Right - Sidebar Left', 'orbius-core' ),
                "layout-full-width"     => esc_html__( 'No Sidebar', 'orbius-core' ),
                "layout-full-screen"    => esc_html__( '100% Width - Full Screen', 'orbius-core' )
            )
        );

        $swm_page_postmetas[] = array(
            "id" => "swm_meta_content_padding",
            "title" => esc_html__('Page Content Padding', 'orbius-core' ),
            "description" => esc_html__('Set padding that will be applied for page content in format: top right bottom left (e.g. 10px 5px 10px 5px)', 'orbius-core' ),
            "type" => "text",
            'default' => ''
        );

        $swm_page_postmetas[] = array(
            "id" => "swm_meta_content_padding_mobile",
            "title" => esc_html__('Page Content Padding Mobile', 'orbius-core' ),
            "description" => esc_html__('Set padding that will be applied for page content on mobile screens (1024px and below) in format: top right bottom left (e.g. 10px 5px 10px 5px))', 'orbius-core' ),
            "type" => "text",
            'default' => '',
        );

        $swm_page_postmetas[] = array(
            "id" => "swm_meta_all_sidebar_list",
            "title" => esc_html__('Sidebar', 'orbius-core' ),
            "description" => esc_html__('Select your a custom sidebar for this page or post', 'orbius-core' ),
            "type" => "select",
            'default' => 'blog-sidebar',
            "options" => swm_get_widget_areas()
        );

        if ( get_theme_mod('swm_header_on','on') == 'on') {

            $swm_page_postmetas[] = array(
                "id" => "swm_meta_header_on",
                "title" => esc_html__('Header', 'orbius-core' ),
                "type" => "radio",
                'default' => 'on',
                "options" => array(
                    'on' => esc_html__( 'On', 'orbius-core' ),
                    'off'  => esc_html__( 'Off', 'orbius-core' ),
                )
            );

            $swm_mk_list_sections_styles = swm_mk_list_sections_styles('header', 'ID', array('0' => esc_html__( '- Not Selected -', 'orbius-core' )));

            $swm_page_postmetas[] = array(
                "id" => "swm_meta_header_section",
                "title" => esc_html__('Custom - Header', 'orbius-core' ),
                "section_link" => '<a class="mkCustomSectionsLink" href="post.php?post=0&action=edit" target="_blank"> '. esc_html__('Edit Selected Header Section', 'orbius-core') .'</a>',
                'class' => 'swm-custom-header-fields swm_meta_section_link',
                "type" => "select",
                "options" => $swm_mk_list_sections_styles
            );

            $swm_page_postmetas[] = array(
                "id" => "swm_meta_sticky_header_section",
                "title" => esc_html__('Custom - Sticky Header', 'orbius-core' ),
                "section_link" => '<a class="mkCustomSectionsLink" href="post.php?post=0&action=edit" target="_blank"> '. esc_html__('Edit Selected Header Section', 'orbius-core') .'</a>',
                'class' => 'swm-custom-header-fields swm_meta_section_link',
                "type" => "select",
                "options" => $swm_mk_list_sections_styles
            );

        }

        global $current_screen;
        $swm_get_current_screen = $current_screen->post_type;
        $swm_show_page_titlebar_meta = 'off';

       $swm_post_types_list = ( get_theme_mod('swm_post_titlebar_on','on') == 'on')  ? get_theme_mod('swm_posts_lists_titlebar', array('post','portfolio','product')) : array();

        if ( !empty($swm_post_types_list) && in_array($swm_get_current_screen,$swm_post_types_list) ) {
            $swm_show_page_titlebar_meta = 'on';
        }

        if ( get_theme_mod('swm_page_titlebar_on','on') == 'on' && 'page' == $swm_get_current_screen ) {
            $swm_show_page_titlebar_meta = 'on';
        }

        if ( $swm_show_page_titlebar_meta == 'on') {

            $swm_page_postmetas[] = array(
                "id" => "swm_meta_page_titlebar_on",
                "title" => esc_html__('Page Title Bar', 'orbius-core' ),
                "type" => "radio",
                'default' => 'on',
                "options" => array(
                    'on' => esc_html__( 'On', 'orbius-core' ),
                    'off'  => esc_html__( 'Off', 'orbius-core' ),
                )
            );

           $swm_page_postmetas[] = array(
                "id" => "swm_meta_pagetitlebar_section",
                "title" => esc_html__('Custom - Page Title Bar', 'orbius-core' ),
                "section_link" => '<a class="mkCustomSectionsLink" href="post.php?post=0&action=edit" target="_blank"> '. esc_html__('Edit Selected Page Title Bar Section', 'orbius-core') .'</a>',
                'class' => 'swm-custom-pagetitlebar-fields swm_meta_section_link',
                "type" => "select",
                "options" => swm_mk_list_sections_styles('titlebar', 'ID', array('0' => esc_html__( '- Not Selected -', 'orbius-core' )))
            );

        }

        if ( get_theme_mod('swm_footer_on','on') == 'on') {

           $swm_page_postmetas[] = array(
               "id" => "swm_meta_footer_on",
               "title" => esc_html__('Footer', 'orbius-core' ),
               "type" => "radio",
               'default' => 'on',
               "options" => array(
                   'on' => esc_html__( 'On', 'orbius-core' ),
                   'off'  => esc_html__( 'Off', 'orbius-core' ),
               )
           );

           $swm_page_postmetas[] = array(
                "id" => "swm_meta_footer_section",
                "title" => esc_html__('Custom - Footer', 'orbius-core' ),
                "section_link" => '<a class="mkCustomSectionsLink" href="post.php?post=0&action=edit" target="_blank"> '. esc_html__('Edit Selected Footer Section', 'orbius-core') .'</a>',
                'class' => 'swm-custom-footer-fields swm_meta_section_link',
                "type" => "select",
                "options" => swm_mk_list_sections_styles('footer', 'ID', array('0' => esc_html__( '- Not Selected -', 'orbius-core' )))
            );

           $swm_page_postmetas[] = array(
               "id" => "swm_meta_sticky_footer_on",
               "title" => esc_html__('Reveal Effect for Footer', 'orbius-core' ),
               "type" => "radio",
               'default' => 'default',
               'class' => 'swm-custom-footer-fields swm_meta_section_link',
               "options" => array(
                   'default' => esc_html__( 'Default', 'orbius-core' ),
                   'on'      => esc_html__( 'On', 'orbius-core' ),
                   'off'     => esc_html__( 'Off', 'orbius-core' ),
               )
           );

        }

        $swm_page_postmetas[] = array(
            "id" => "swm_meta_bottom_go_top_scroll_btn_on",
            "title" => esc_html__('Scroll To Top Arrow', 'orbius-core' ),
            "type" => "radio",
            'default' => 'default',
            'class' => '',
            "options" => array(
                'default' => esc_html__( 'Default', 'orbius-core' ),
                'on'      => esc_html__( 'On', 'orbius-core' ),
                'off'     => esc_html__( 'Off', 'orbius-core' ),
            )
        );

        return $swm_page_postmetas;
    }
}

if (!function_exists('swm_page_create_meta_box')) {
    function swm_page_create_meta_box() {

        if ( function_exists('add_meta_box') ) {

            $page_options_support = array('page','post','portfolio','product','elementor_library');
            $page_options_support = apply_filters( 'swm_page_options_metabox', $page_options_support );

            add_meta_box( 'page_metabox', 'Page Options', 'swm_page_new_meta_box', $page_options_support, 'normal', 'default' );
        }

    }
    add_action('admin_menu', 'swm_page_create_meta_box');
}

if (!function_exists('swm_page_new_meta_box')) {
    function swm_page_new_meta_box() {
        global $post;
        $swm_page_postmetas = swm_get_page_postmetas();

        echo '<input type="hidden" name="swm_meta_form" id="swm_meta_form" value="' . wp_create_nonce('swm_once') . '" />';

        global $current_screen;

        $meta_section = '';
        $key = 0;
        foreach ( $swm_page_postmetas as $key => $postmeta ) {

            $meta_id           = $postmeta['id'];
            $meta_title        = $postmeta['title'];
            $meta_description  = (isset($postmeta['description'])) ? $postmeta['description'] : '';
            $meta_default      = (isset($postmeta['default'])) ? $postmeta['default'] : '';
            $meta_class        = (isset($postmeta['class'])) ? $postmeta['class'] : '';
            $meta_section_link = (isset($postmeta['section_link'])) ? $postmeta['section_link'] : '';

            $meta_type = '';
            if(isset($postmeta['type'])) {
                $meta_type = $postmeta['type'];
            }

            //Change underscore to dash
            $postmeta_class = str_replace('_', '-', $meta_id);

            echo '<div id="page-option-'.strtolower($postmeta_class).'" class="post-meta-option page key'.intval($key+1).' '.$meta_type.' '. $meta_class .'">';
                   echo '<div class="post-meta-title-wrapper">
                            <strong>'.$meta_title.'</strong>
                            <div class="post-meta-description">' . $meta_description . '</div>
                        </div><div class="post-meta-title-field">';


            switch ($meta_type) {
                case "checkbox":
                    $checked = get_post_meta($post->ID, $meta_id, true) == '1' ? "checked" : "";
                    echo "<input type='checkbox' name='$meta_id' id='$meta_id' class='iphone_checkboxes' value='1' $checked />";
                    break;

                case "radio":

                    $swm_button_count = 1;
                    $selected_value = get_post_meta( $post->ID, $meta_id, true );
                    $selected_value = (!empty($selected_value)) ? $selected_value : $meta_default;
                    ?>
                    <div id="input_<?php echo esc_attr( $meta_id ); ?>" class="swm-meta-radios">
                        <?php
                        foreach ( $postmeta['options'] as $value => $label ) : ?>
                            <input type="radio"
                            value="<?php echo esc_attr( $value ); ?>"
                            name="<?php echo esc_attr( $meta_id ); ?>"
                            id="<?php echo esc_attr( $meta_id . $value ); ?>" <?php checked( $selected_value, esc_attr( $value ) ); ?>
                            />
                            <label
                            for="<?php echo esc_attr( $meta_id ) . $value; ?>"
                            class="bt_count<?php echo esc_attr($swm_button_count); ?>"
                            >
                                <?php echo esc_html( $label ); ?>
                            </label>
                            <?php
                            $swm_button_count++;

                        endforeach;
                        ?>
                        <div class="clear"></div>
                    </div>

                    <?php
                    break;

                case "select":

                    echo "<select name='$meta_id' id='$meta_id'>";

                    if (!empty($postmeta['options'])) {

                        foreach ($postmeta['options'] as $key => $item){

                            $page_style = get_post_meta($post->ID, $meta_id);

                            if(isset($page_style[0]) && $key == $page_style[0]) {
                                $css_string = 'selected';
                            } else {
                                $css_string = '';
                            }

                            echo '<option value="'.$key.'" '.$css_string.'>'.$item.'</option>';
                        }
                    }

                    echo "</select>";
                    echo '<p>'. $meta_section_link .'</p>';

                break;

                case "textarea":
                    echo "<textarea name='$meta_id' id='$meta_id' class='' style='width:100%' rows='7'>".get_post_meta($post->ID, $meta_id, true)."</textarea>";
                    break;

              default:
                echo "<input type='text' name='$meta_id' id='$meta_id' class='' value='".esc_attr(get_post_meta($post->ID, $meta_id, true))."' style='width:100%' />";
            }

            echo '</div>';
            echo '</div>';
        }

    }
}

if (!function_exists('swm_page_save_postdata')) {
    function swm_page_save_postdata( $post_id ) {

        $swm_page_postmetas = swm_get_page_postmetas();

        // verify this came from the our screen and with proper authorization,
        // because save_post can be triggered at other times

        if ( isset($_POST['swm_meta_form']) && !wp_verify_nonce( $_POST['swm_meta_form'], 'swm_once' )) {
            return $post_id;
        }

        // verify if this is an auto save routine. If it is our form has not been submitted, so we dont want to do anything

        if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) { return $post_id; }

        // Check permissions

        if ( isset($_POST['post_type']) && 'page' == $_POST['post_type'] ) :
            if ( !current_user_can( 'edit_page', $post_id ) ) {
                return $post_id;
            } else {
                if ( !current_user_can( 'edit_post', $post_id ) ) {
                    return $post_id;
                }
            }
        endif;

        // OK, we're authenticated

        if ( $parent_id = wp_is_post_revision($post_id) ) {
            $post_id = $parent_id;
        }

        if (isset($_POST['swm_meta_form'])) {

            foreach ( $swm_page_postmetas as $postmeta ) {

                if (isset($_POST[$postmeta['id']]) && $_POST[$postmeta['id']] != '') {
                    swm_page_update_custom_meta($post_id, $_POST[$postmeta['id']], $postmeta['id']);
                }

                if (isset($_POST[$postmeta['id']]) && $_POST[$postmeta['id']] == "") {
                    delete_post_meta($post_id, $postmeta['id']);
                }

                if (!isset($_POST[$postmeta['id']])) {
                    delete_post_meta($post_id, $postmeta['id']);
                }
            }
        }

    }
    add_action('save_post', 'swm_page_save_postdata');
}

if (!function_exists('swm_page_update_custom_meta')) {
    function swm_page_update_custom_meta($postID, $newvalue, $field_name) {

        if (isset($_POST['swm_meta_form'])) {
            if (!get_post_meta($postID, $field_name)) {
                add_post_meta($postID, $field_name, $newvalue);
            } else {
                update_post_meta($postID, $field_name, $newvalue);
            }
        }

    }
}