<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
if ( !class_exists( 'Mk_Theme_Settings_Media_Uploader' ) ) {
    class Mk_Theme_Settings_Media_Uploader {

    	public function init() {
    		add_action( 'admin_enqueue_scripts', array( $this, 'mk_ts_media_scripts' ) );
    	}

    	static function mk_ts_uploader( $_id, $_value, $_desc = '', $_name = '' ) {

    		$option_name = MK_THEME . '_theme_settings';  // Gets the unique option id

    		$output = ''; $id = ''; $class = ''; $int = ''; $value = ''; $name = '';

    		$id = strip_tags( strtolower( $_id ) );

    		// If a value is passed and we don't have a stored value, use the value that's passed through.
    		if ( $_value != '' && $value == '' ) {
    			$value = $_value;
    		}

    		if ($_name != '') {
    			$name = $_name;
    		}
    		else {
    			$name = $option_name.'['.$id.']';
    		}

    		if ( $value ) {
    			$class = ' has-file';
    		}
    		$output .= '<input id="' . $id . '" class="upload' . $class . '" type="text" name="'.$name.'" value="' . $value . '" placeholder="' . esc_html__('No file chosen', 'orbius-core') .'" />' . "\n";
    		if ( function_exists( 'wp_enqueue_media' ) ) {
    			if ( ( $value == '' ) ) {
    				$output .= '<input id="upload-' . $id . '" class="upload-button button" type="button" value="' . esc_html__( 'Upload', 'orbius-core' ) . '" />' . "\n";
    			} else {
    				$output .= '<input id="remove-' . $id . '" class="remove-file button" type="button" value="' . esc_html__( 'Remove', 'orbius-core' ) . '" />' . "\n";
    			}
    		} else {
    			$output .= '<p><i>' . esc_html__( 'Upgrade your version of WordPress for full media support.', 'orbius-core' ) . '</i></p>';
    		}

    		if ( $_desc != '' ) {
    			$output .= '<span class="of-metabox-desc">' . $_desc . '</span>' . "\n";
    		}

    		$output .= '<div class="screenshot" id="' . $id . '-image">' . "\n";

    		if ( $value != '' ) {
    			$remove = '<a class="remove-image">Remove</a>';
    			$image = preg_match( '/(^.*\.jpg|jpeg|png|gif|ico*)/i', $value );
    			if ( $image ) {
    				$output .= '<img src="' . $value . '" alt="" />' . $remove;
    			} else {
    				$parts = explode( "/", $value );
    				for( $i = 0; $i < sizeof( $parts ); ++$i ) {
    					$title = $parts[$i];
    				}

    				$output .= '';  // No output preview if it's not an image.

    				// Standard generic output if it's not an image.
    				$title = esc_html__( 'View File', 'orbius-core' );
    				$output .= '<div class="no-image"><span class="file_link"><a href="' . $value . '" target="_blank" rel="external">'.$title.'</a></span></div>';
    			}
    		}
    		$output .= '</div>' . "\n";
    		return $output;
    	}

    	function mk_ts_media_scripts( $hook ) {
            if ( substr( $hook, -strlen( 'theme-settings' ) ) !== 'theme-settings' ) { return; }

    		wp_enqueue_media();
    		wp_register_script( 'of-media-uploader', plugin_dir_url( dirname(__FILE__) ) .'js/media-uploader.js', array( 'jquery' ), MK_VERSION );
    		wp_enqueue_script( 'of-media-uploader' );
    		wp_localize_script( 'of-media-uploader', 'mk_ts_l10n', array(
    			'upload' => esc_html__( 'Upload', 'orbius-core' ),
    			'remove' => esc_html__( 'Remove', 'orbius-core' )
    		) );
    	}
    }
}