(function($){

	MkThemeSettings = {

		init: function() {
            $('.notice.fade').delay(2000).fadeOut(500);  // Fade out the save message
            this._mkTSColorPicker();
			this._mkTSNavTabs();
			this._mkTSRadioImage();
			this._mkTSStickySidebar();
			var mkConditionOptions = new mkTSOptions('#mk-ts-content');
        },

		_mkTSColorPicker: function() {
			$('.colorSelector').each(function(){
				var Othis = this; //cache a copy of the this variable for use inside nested function
				var initialColor = $(Othis).next('input').attr('value');
				$(this).ColorPicker({
					color: initialColor,
					onShow: function (colpkr) {
						$(colpkr).fadeIn(500);
						return false;
					},
					onHide: function (colpkr) {
						$(colpkr).fadeOut(500);
						return false;
					},
					onChange: function (hsb, hex, rgb) {
						$(Othis).children('div').css('backgroundColor', '#' + hex);
						$(Othis).next('input').attr('value','#' + hex);
					}
				});
			});
		},

		_mkTSNavTabs: function() {
			$('.mk-ts-group').hide();
			var activetab = '';
			if (typeof(localStorage) != 'undefined' ) {
				activetab = localStorage.getItem("activetab");
			}
			if (activetab != '' && $(activetab).length ) {
				$(activetab).fadeIn();
			} else {
				$('.mk-ts-group:first').fadeIn();
			}

			if (activetab != '' && $(activetab + '_tab').length ) {
				$(activetab + '_tab').parent().addClass('mk-ts-tab-active');
			}
			else {
				$('.mk-ts-tabs ul li:first').addClass('mk-ts-tab-active');
			}
			$('.mk-ts-tabs ul li a').click(function(evt) {
				$('.mk-ts-tabs ul li').removeClass('mk-ts-tab-active');
				$(this).parent().addClass('mk-ts-tab-active').blur();
				var clicked_group = $(this).attr('href');
				if (typeof(localStorage) != 'undefined' ) {
					localStorage.setItem("activetab", $(this).attr('href'));
				}
				$('.mk-ts-group').hide();
				$(clicked_group).fadeIn();
				evt.preventDefault();
			});
		},

		_mkTSRadioImage: function() {
			$('.of-radio-img-img').click(function(){
				$(this).parent().parent().find('.of-radio-img-img').removeClass('of-radio-img-selected');
				$(this).addClass('of-radio-img-selected');
			});

			$('.of-radio-img-label').hide();
			$('.of-radio-img-img').show();
			$('.of-radio-img-radio').hide();
		},

		_mkTSStickySidebar: function() {
			var $showStickySidebar = $('#swm-leftbar');
			if( $showStickySidebar.length > 0 ) {
			    $showStickySidebar .theiaStickySidebar({
			        additionalMarginTop: 55
			    });
			}
		}
	};

	MkRegenerateFilesNew = {

	    init: function() {
	        this._bind();
	    },
	    _bind: function() {
	        $( document ).on('click' , '.mk-button-spinner', MkRegenerateFilesNew._regenerateFiles);
	    },

	    _regenerateFiles: function( event, response ) {

	        event.preventDefault();
	        var $this = jQuery(event.target);

	        $this.removeClass( 'success' );
	        $this.addClass( 'loading' );

	        setTimeout( function() {

	            $.ajax({
	                url: mkThemeSettings.ajaxUrl,
	                type: 'POST',
	                data: {
	                    'action' : 'mk-regenerate-combine-files',
	                    'nonce'  : mkThemeSettings.mkRegenerateCombineFilesNonce
	                },
	            })
	            .done(function (result) {
	                if( result.success ) {
	                    $this.removeClass('loading');
	                    $this.addClass( 'success' );
	                } else {
	                    $this.removeClass( 'loading' );
	                }
	            });

	        }, 1200 );

	    },


	};  // MkRegenerateFilesNew

	$(document).ready(function($) {
		MkThemeSettings.init();
		MkRegenerateFilesNew.init();
	});

	"use strict";
	window.mkTSOptions = function( container ){
		this.container = $(container);
		this.init();
	}

	mkTSOptions.prototype = {
		init: function(){
			this._bind_conditional();
			this._rebind();
		},

		// rebind specific element when content in the container changed
		_rebind: function(){
			var t = this;
			t._init_conditional();
		},

		// condition for show/hide item
		_init_conditional: function(){
			this.container.find('[data-condition]').each(function(){
				var item = $(this).closest('.mk-ts-item');
				var wrapper = item.parent();

				var conditions = JSON.parse($(this).attr('data-condition'));
				var visible = true;
				for( var key in conditions ){

					if( item.is('.mk-ts-item') ){
						var obj = wrapper.find('[data-slug="' + key + '"]');
					}

					var obj_val = '';
					if( obj.is('input[type="checkbox"]') ){
						obj_val = (obj.is(':checked'))? 1 : 0;
					}else if( obj.is('input[type="radio"]') ){
						obj_val = obj.filter(':checked').val();
					}else{
						obj_val = obj.val();
					}
					visible = visible && (obj_val == conditions[key] || (conditions[key].constructor === Array && conditions[key].indexOf(obj_val) != -1));
				}

				if( !visible ){
					$(this).hide();
				}else{
					$(this).show();
				}
			});

		}, // init_conditional
		_bind_conditional: function(){

			this.container.on('change', 'select, input[type="checkbox"], input[type="radio"]', function(){
				var item = $(this).closest('.mk-ts-item');
				var wrapper = item.parent();

				wrapper.children('[data-condition]').each(function(){
					var conditions = JSON.parse($(this).attr('data-condition'));
					var visible = true;
					for( var key in conditions ){

						if( item.is('.mk-ts-item') ){
							var obj = wrapper.find('[data-slug="' + key + '"]');
						}

						var obj_val = '';
						if( obj.is('input[type="checkbox"]') ){
							obj_val = (obj.is(':checked'))? 1 : 0;
						}else if( obj.is('input[type="radio"]') ){
							obj_val = obj.filter(':checked').val();
						}else{
							obj_val = obj.val();
						}

						visible = visible && (obj_val == conditions[key] || (conditions[key].constructor === Array && conditions[key].indexOf(obj_val) != -1));
					}

					if( !visible ){
						$(this).slideUp(200);
					}else{
						$(this).slideDown(200);
					}
				});
			});

		} // bind_conditional


	}; // mkTSOptions.prototype


})(jQuery);

!function(i){i.fn.theiaStickySidebar=function(t){function e(t,e){var a=o(t,e);a||(console.log("TSS: Body width smaller than options.minWidth. Init is delayed."),i(document).on("scroll."+t.namespace,function(t,e){return function(a){var n=o(t,e);n&&i(this).unbind(a)}}(t,e)),i(window).on("resize."+t.namespace,function(t,e){return function(a){var n=o(t,e);n&&i(this).unbind(a)}}(t,e)))}function o(t,e){return t.initialized===!0||!(i("body").width()<t.minWidth)&&(a(t,e),!0)}function a(t,e){t.initialized=!0;var o=i("#theia-sticky-sidebar-stylesheet-"+t.namespace);0===o.length&&i("head").append(i('<style id="theia-sticky-sidebar-stylesheet-'+t.namespace+'">.theiaStickySidebar:after {content: ""; display: table; clear: both;}</style>')),e.each(function(){function e(){a.fixedScrollTop=0,a.sidebar.css({"min-height":"1px"}),a.stickySidebar.css({position:"static",width:"",transform:"none"})}function o(t){var e=t.height();return t.children().each(function(){e=Math.max(e,i(this).height())}),e}var a={};if(a.sidebar=i(this),a.options=t||{},a.container=i(a.options.containerSelector),0==a.container.length&&(a.container=a.sidebar.parent()),a.sidebar.parents().css("-webkit-transform","none"),a.sidebar.css({position:a.options.defaultPosition,overflow:"visible","-webkit-box-sizing":"border-box","-moz-box-sizing":"border-box","box-sizing":"border-box"}),a.stickySidebar=a.sidebar.find(".theiaStickySidebar"),0==a.stickySidebar.length){var s=/(?:text|application)\/(?:x-)?(?:javascript|ecmascript)/i;a.sidebar.find("script").filter(function(i,t){return 0===t.type.length||t.type.match(s)}).remove(),a.stickySidebar=i("<div>").addClass("theiaStickySidebar").append(a.sidebar.children()),a.sidebar.append(a.stickySidebar)}a.marginBottom=parseInt(a.sidebar.css("margin-bottom")),a.paddingTop=parseInt(a.sidebar.css("padding-top")),a.paddingBottom=parseInt(a.sidebar.css("padding-bottom"));var r=a.stickySidebar.offset().top,d=a.stickySidebar.outerHeight();a.stickySidebar.css("padding-top",1),a.stickySidebar.css("padding-bottom",1),r-=a.stickySidebar.offset().top,d=a.stickySidebar.outerHeight()-d-r,0==r?(a.stickySidebar.css("padding-top",0),a.stickySidebarPaddingTop=0):a.stickySidebarPaddingTop=1,0==d?(a.stickySidebar.css("padding-bottom",0),a.stickySidebarPaddingBottom=0):a.stickySidebarPaddingBottom=1,a.previousScrollTop=null,a.fixedScrollTop=0,e(),a.onScroll=function(a){if(a.stickySidebar.is(":visible")){if(i("body").width()<a.options.minWidth)return void e();if(a.options.disableOnResponsiveLayouts){var s=a.sidebar.outerWidth("none"==a.sidebar.css("float"));if(s+50>a.container.width())return void e()}var r=i(document).scrollTop(),d="static";if(r>=a.sidebar.offset().top+(a.paddingTop-a.options.additionalMarginTop)){var c,p=a.paddingTop+t.additionalMarginTop,b=a.paddingBottom+a.marginBottom+t.additionalMarginBottom,l=a.sidebar.offset().top,f=a.sidebar.offset().top+o(a.container),h=0+t.additionalMarginTop,g=a.stickySidebar.outerHeight()+p+b<i(window).height();c=g?h+a.stickySidebar.outerHeight():i(window).height()-a.marginBottom-a.paddingBottom-t.additionalMarginBottom;var u=l-r+a.paddingTop,S=f-r-a.paddingBottom-a.marginBottom,y=a.stickySidebar.offset().top-r,m=a.previousScrollTop-r;"fixed"==a.stickySidebar.css("position")&&"modern"==a.options.sidebarBehavior&&(y+=m),"stick-to-top"==a.options.sidebarBehavior&&(y=t.additionalMarginTop),"stick-to-bottom"==a.options.sidebarBehavior&&(y=c-a.stickySidebar.outerHeight()),y=m>0?Math.min(y,h):Math.max(y,c-a.stickySidebar.outerHeight()),y=Math.max(y,u),y=Math.min(y,S-a.stickySidebar.outerHeight());var k=a.container.height()==a.stickySidebar.outerHeight();d=(k||y!=h)&&(k||y!=c-a.stickySidebar.outerHeight())?r+y-a.sidebar.offset().top-a.paddingTop<=t.additionalMarginTop?"static":"absolute":"fixed"}if("fixed"==d){var v=i(document).scrollLeft();a.stickySidebar.css({position:"fixed",width:n(a.stickySidebar)+"px",transform:"translateY("+y+"px)",left:a.sidebar.offset().left+parseInt(a.sidebar.css("padding-left"))-v+"px",top:"0px"})}else if("absolute"==d){var x={};"absolute"!=a.stickySidebar.css("position")&&(x.position="absolute",x.transform="translateY("+(r+y-a.sidebar.offset().top-a.stickySidebarPaddingTop-a.stickySidebarPaddingBottom)+"px)",x.top="0px"),x.width=n(a.stickySidebar)+"px",x.left="",a.stickySidebar.css(x)}else"static"==d&&e();"static"!=d&&1==a.options.updateSidebarHeight&&a.sidebar.css({"min-height":a.stickySidebar.outerHeight()+a.stickySidebar.offset().top-a.sidebar.offset().top+a.paddingBottom}),a.previousScrollTop=r}},a.onScroll(a),i(document).on("scroll."+a.options.namespace,function(i){return function(){i.onScroll(i)}}(a)),i(window).on("resize."+a.options.namespace,function(i){return function(){i.stickySidebar.css({position:"static"}),i.onScroll(i)}}(a)),"undefined"!=typeof ResizeSensor&&new ResizeSensor(a.stickySidebar[0],function(i){return function(){i.onScroll(i)}}(a))})}function n(i){var t;try{t=i[0].getBoundingClientRect().width}catch(i){}return"undefined"==typeof t&&(t=i.width()),t}var s={containerSelector:"",additionalMarginTop:0,additionalMarginBottom:0,updateSidebarHeight:!0,minWidth:0,disableOnResponsiveLayouts:!0,sidebarBehavior:"modern",defaultPosition:"relative",namespace:"TSS"};return t=i.extend(s,t),t.additionalMarginTop=parseInt(t.additionalMarginTop)||0,t.additionalMarginBottom=parseInt(t.additionalMarginBottom)||0,e(t,this),this}}(jQuery);