<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
if ( ! function_exists( 'mk_theme_settings_init' ) ) {
    function mk_theme_settings_init() {
    	if ( !current_user_can( 'edit_theme_options' ) ) { return; }
    	require MK_OPTIONS_DIR . 'includes/class-theme-settings.php';
    	require MK_OPTIONS_DIR . 'includes/class-theme-settings-admin.php';
    	require MK_OPTIONS_DIR . 'includes/class-options-interface.php';
    	require MK_OPTIONS_DIR . 'includes/class-options-media-uploader.php';
    	require MK_OPTIONS_DIR . 'includes/class-options-sanitization.php';

    	// Instantiate the main plugin class.
    	$mk_theme_settings = new Mk_Theme_Settings;
    	$mk_theme_settings->init();

    	// Instantiate the options page.
    	$mk_theme_settings_admin = new Mk_Theme_Settings_Admin;
    	$mk_theme_settings_admin->init();

    	// Instantiate the media uploader class
    	$mk_theme_settings_media_uploader = new Mk_Theme_Settings_Media_Uploader;
    	$mk_theme_settings_media_uploader->init();

    }
    add_action( 'init', 'mk_theme_settings_init', 20 );
}

if ( ! function_exists( 'mk_get_ts_option' ) ) :
	function mk_get_ts_option( $name, $default = false ) {
		$config = get_option( 'mk_theme_settings' );

		if ( ! isset( $config['id'] ) ) {
			return $default;
		}

		$options = get_option( $config['id'] );

		if ( isset( $options[$name] ) ) {
			return $options[$name];
		}

		return $default;
	}
endif;