<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( !function_exists( 'mk_exists_elementor' ) ) {
	function mk_exists_elementor() {
		return class_exists('Elementor\Plugin');
	}
}

// Return true if Elementor exists and current mode is preview
if ( !function_exists( 'mk_elm_is_preview' ) ) {
	function mk_elm_is_preview() {
		static $is_preview = -1;
		if ( $is_preview === -1 ) {
			$is_preview = \Elementor\Plugin::instance()->preview->is_preview_mode();
		}
		return $is_preview;
	}
}

// Return current post ID before loop
if ( ! function_exists('mk_get_the_ID') ) {
	function mk_get_the_ID() {
		global $wp_query;
		return in_the_loop()
					? get_the_ID()
					: ( ! empty( $wp_query->post->ID )
							? $wp_query->post->ID
							: ( is_singular() && ! empty( $wp_query->queried_object->ID )
								? $wp_query->queried_object->ID
								: 0
							)
						);
	}
}

// Return GET or POST value
if (!function_exists('mk_get_value_gp')) {
	function mk_get_value_gp($name, $defa='') {
		if (isset($_GET[$name]))		$rez = $_GET[$name];
		else if (isset($_POST[$name]))	$rez = $_POST[$name];
		else							$rez = $defa;
		return trim($rez);
	}
}

//--------------------------------------------------------

// Push shortcode name to the stack
if (!function_exists('mk_stack_push')) {
	function mk_stack_push($sc) {
		global $MK_STORAGE;
		array_push($MK_STORAGE['mk_stack'], $sc);
	}
}

// Pop shortcode name from the stack
if (!function_exists('mk_stack_pop')) {
	function mk_stack_pop() {
		global $MK_STORAGE;
		return array_pop($MK_STORAGE['mk_stack']);
	}
}

// Check if shortcode name is in the stack
if (!function_exists('mk_stack_check')) {
	function mk_stack_check($sc=false, $last=false) {
		global $MK_STORAGE;
		return is_array( $MK_STORAGE['mk_stack'] )
				? ( ! empty( $sc )
					? ( $last
						? ( count( $MK_STORAGE['mk_stack'] ) > 0
							? $MK_STORAGE['mk_stack'][count( $MK_STORAGE['mk_stack'] ) - 1]
							: false
							)
						: in_array( $sc, $MK_STORAGE['mk_stack'] )
						)
					: count( $MK_STORAGE['mk_stack'] ) > 0
					)
				: false;
	}
}