<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
?>

.swm-post-title h2,.swm-post-title h2 a,.swm-post-title h1 {
    letter-spacing:<?php echo floatval(get_theme_mod( 'swm_post_title_letter_space', 0 )); ?>px;
    text-transform:<?php echo esc_html(get_theme_mod( 'swm_post_title_transform', 'lowercase' )); ?>;
}

.swm-post-meta {
    text-transform:<?php echo esc_html(get_theme_mod( 'swm_post_meta_transform', 'lowercase' )); ?>;
}

<?php
    $swm_post_title_size = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_size', 65 ) : get_theme_mod( 'swm_post_title_size', 65 );
    $swm_post_title_lineheight = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_lineheight', 70 ) : get_theme_mod( 'swm_post_title_lineheight', 70 );
    $swm_post_title_font_weight = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_font_weight', 500 ) : get_theme_mod( 'swm_post_title_font_weight', 500 );

    if ( $swm_post_title_size || $swm_post_title_lineheight ) : ?>

    @media only screen and (min-width: 1025px) {
        .swm-post-title h2,
        .swm-post-title h2 a,
        .swm-post-title h1 {

            <?php if ( $swm_post_title_size ) { ?>
                font-size:<?php echo floatval($swm_post_title_size); ?>px;
            <?php } ?>

            <?php if ( $swm_post_title_lineheight ) { ?>
                line-height:<?php echo floatval($swm_post_title_lineheight); ?>px;
            <?php } ?>

            <?php if ( $swm_post_title_font_weight ) { ?>
                font-weight:<?php echo floatval($swm_post_title_font_weight); ?>;
            <?php } ?>
        }

    }

<?php endif; ?>

<?php if ( is_single() ) : ?>

    .swm-post-title h1  {
        letter-spacing:<?php echo floatval(get_theme_mod( 'swm_single_post_title_letter_space', 0 )); ?>px;
        text-transform:<?php echo esc_html(get_theme_mod( 'swm_single_post_title_transform', 'lowercase' )); ?>;
    }

    h3.swm-single-pg-titles,
    #comments h3.swm-single-pg-titles,
    #respond h3.comment-reply-title {
        font-size:<?php echo floatval(get_theme_mod( 'swm_post_single_section_ttl_size', 55 )); ?>px;
        letter-spacing:<?php echo floatval(get_theme_mod( 'swm_post_single_section_ttl_letter_space', 0 )); ?>px;
        text-transform:<?php echo esc_html(get_theme_mod( 'swm_post_single_section_ttl_transform', 'lowercase' )); ?>;
        line-height:<?php echo floatval(get_theme_mod( 'swm_post_single_section_ttl_lineheight', 60 )); ?>px;
    }

    .single-post .swm-post-meta {
        text-transform:<?php echo esc_html(get_theme_mod( 'swm_single_meta_transform', 'lowercase' )); ?>;
    }

    .swm-related-posts ul {
        text-transform:<?php echo esc_html(get_theme_mod( 'swm_single_related_posts_transform', 'lowercase' )); ?>;
    }

    .swm-related-link {
        font-size:<?php echo floatval(get_theme_mod( 'swm_single_related_posts_ttl_size', 27 )); ?>px;
    }

    <?php
        $swm_blog_single_layout = get_theme_mod('swm_blog_single_layout','standard');
        $swm_meta_blog_single_layout = get_post_meta( swm_get_queried_object_id(), 'swm_meta_blog_single_layout', true );

        if ( 'default' !== $swm_meta_blog_single_layout ) {
            $swm_blog_single_layout = $swm_meta_blog_single_layout;
        }

        if (  $swm_blog_single_layout == 'fullwidth-image' ) { ?>
            .swm_single_fullwidth_image {
                height:<?php echo floatval(get_theme_mod('swm_single_post_bg_height',600)); ?>px;
                background-image:url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')); ?>);
            }

        @media only screen and (max-width: 767px) {
            .swm_single_fullwidth_image {
                height:<?php echo floatval(get_theme_mod('swm_single_post_bg_height_mob',400)); ?>px;
            }
        }
    <?php } ?>
<?php endif; ?>