<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
if ( ! function_exists( 'swm_customizer_options_register' ) ) {
    function swm_customizer_options_register( $wp_customize ) {

            $swm['cust'] = array();

            $swmCustomSectionLink_start = '<a class="swmCustomSectionsLink" href="post.php?post=0&action=edit" target="_blank">';
            $swmCustomSectionLink_end = '</a>';

            /* ******************************************************************** */
            /* GENERAL OPTIONS */
            /* ******************************************************************** */

            $swm['cust'][] = [ 'general', 'select', 'swm_page_preloader_on', 'disable', 'Page Preloader', swm_cust_array('preloader') ];

            // Progressbar
            $swm['cust'][] = [ 'general', 'radio-switch', 'swm_reading_progressbar_on',         'off',      'Reading Progress bar'];
            $swm['cust'][] = [ 'general', 'select',       'swm_reading_progressbar_view',       'global',   'Display On', swm_cust_array('progressbar') ];
            $swm['cust'][] = [ 'general', 'slider',       'swm_reading_progressbar_height',     5,          'Height', swm_cust_array('one_to_hundred') ];
            $swm['cust'][] = [ 'general', 'select',       'swm_reading_progressbar_color',      '--swm-color-dark-1', 'Color', swm_cust_array('colors') ];

            /* Scroll to Top Arrow */
            $swm['cust'][] = [ 'general', 'radio-switch', 'swm_bottom_go_top_scroll_btn_on',    'off',      'Scroll To Top Arrow' ];
            $swm['cust'][] = [ 'general', 'select',       'swm_btt_btn_style',                  'dark',     'Display Styles', swm_cust_array('go_to_scroll_styles') ];

            /* Other */
            $swm['cust'][] = [ 'general', 'radio-switch', 'swm_page_comments_on',               'on',       'Comments in Pages' ];
            $swm['cust'][] = [ 'general', 'radio-switch', 'swm_portfolio_comments_on',          'off',      'Comments in Portfolio Single Page' ];

            /* ******************************************************************** */
            /* LAYOUT OPTIONS */
            /* ******************************************************************** */

            $swm['cust'][] = [ 'layout', 'slider', 'swm_layout_max_width',      '1440',              'Max Width (px)', swm_cust_array('layout_max_width') ];
            $swm['cust'][] = [ 'layout', 'slider', 'swm_content_width',         '74',                'Content Width for Page with Sidebar (%)', swm_cust_array('content_width') ];
            $swm['cust'][] = [ 'layout', 'slider', 'swm_container_padding',     '20',                'Layout Left and Right Padding', swm_cust_array('two_hundred') ];
            $swm['cust'][] = [ 'layout', 'select', 'swm_content_layout',        'layout-full-width', 'Content Layout', swm_cust_array('page_content_layout') ];
            $swm['cust'][] = [ 'layout', 'text',   'swm_content_padding',       '0 0 120px 0',   'Page Content Padding' ];
            $swm['cust'][] = [ 'layout', 'text',   'swm_content_padding_mobile','0 0 60px 0',     'Page Content Padding Mobile' ];

            /* ******************************************************************** */
            /* STYLING OPTIONS */
            /* ******************************************************************** */

            // General
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_body_bg',      '#ffffff', 'Body Background' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_headings',     '#000000', 'Headings' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_text',         '#000000', 'Text' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_link',         '#000000', 'Link' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_link_hover',   '#000000', 'Link Hover' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_border',       '#707070', 'Border' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_hover_border', '#000000', 'Form Fields Border Hover/Focus' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_dark_1',       '#000000', 'Dark 1' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_dark_2',       '#333333', 'Dark 2' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_light_1',      '#FFFFFF', 'Light 1' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_color_light_2',      '#f2f2f2', 'Light 2' ];

            // Button
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_button_custom_colors_on', 'off', 'Button - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_button_color',              '#000000', 'Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_button_bg',                 '#FFFFFF', 'Background' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_button_border_color',       '#000000', 'Border Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_button_hover_color',        '#ffffff', 'Hover Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_button_hover_bg',           '#000000', 'Hover Background' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_button_hover_border_color', '#000000', 'Hover Border Color' ];

            // Mobile menu custom colors
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_mm_custom_colors_on', 'off', 'Mobile Menu - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_mm_bg_col',          '#ffffff', 'Background Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_mm_icon_col',        '#000000', 'Hamberger Icon Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_mm_links_col',       '#000000', 'Links Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_mm_links_hover_col', '#000000', 'Links Hover/Active' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_mm_close_icon_col',  '#000000', 'Close Icon' ];

             // Titlebar
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_titlebar_custom_colors_on', 'off', 'Titlebar - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_page_title_bar_bg_color',    '#f6f6f6', 'Background Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_page_title_bar_title_color', '#000000', 'Font Color' ];

            // Sidebar custom colors
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_sidebar_custom_colors_on', 'off', 'Sidebar - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_sidebar_title_color', '#000000', 'Title Text Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_sidebar_text_col',    '#000000', 'Text Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_sidebar_link',        '#000000', 'Link Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_sidebar_link_hover',  '#000000', 'Link Hover Color' ];

            // Footer Custom Colors
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_footer_custom_colors_on', 'off', 'Footer - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_widget_footer_bg_color',          '#f2f2f2', 'Primary Background Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_widget_footer_bg_color_two',      '#ffffff', 'Secondary Background Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_widget_footer_border_color',      '#707070', 'Elements Border Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_widget_footer_text_color',        '#000000', 'Text Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_widget_footer_links_color',       '#000000', 'Link Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_widget_footer_links_hover_color', '#000000', 'Link Hover Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_widget_footer_title_color',       '#000000', 'Widget Title Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_small_footer_text_color',         '#000000', 'Copyright Font Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_small_footer_link_color',         '#000000', 'Copyright Link Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_small_footer_link_h_color',       '#000000', 'Copyright Link Hover Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_small_footer_top_border_color',   '#707070', 'Copyright Top Border Color' ];

            // pagination
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_pagination_custom_colors_on', 'off', 'Pagination - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_pagination_color',       '#000000', 'Font Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_pagination_hover_color', '#000000', 'Hover/Active Font Color' ];

            // Shop List Custom Colors
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_shop_list_custom_colors_on', 'off', 'Shop List - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_shop_list_title_color', '#000000', 'Title Text Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_shop_list_price_color', '#000000', 'Price Text Color' ];

            // sale badge
            $swm['cust'][] = [ 'styling', 'color', 'swm_wc_sale_badge_bg',         '#000000', 'Sale Badge Background Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_wc_sale_badge_font_color', '#ffffff', 'Sale Badge Font Color' ];

            // Shop Single Custom Colors
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_shop_single_custom_colors_on', 'off', 'Shop Single - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_shop_single_title_color', '#000000', 'Title Text Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_shop_single_price_color', '#000000', 'Price Text Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_shop_single_meta_color',  '#000000', 'Meta Title Text Color' ];

            // Cursor Custom Colors
            $swm['cust'][] = [ 'styling', 'radio-switch', 'swm_cursor_custom_colors_on', 'off', 'Cursor - Custom Colors' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_cursor_bg_color',   '#000000', 'Background Color' ];
            $swm['cust'][] = [ 'styling', 'color', 'swm_cursor_icon_color', '#ffffff', 'Icon Color' ];

            /* ******************************************************************** */
            /* HEADER OPTIONS */
            /* ******************************************************************** */

            $swm_header_tmpl_link = sprintf( esc_html__( '%sEdit Selected Page Header Section%s', 'orbius' ), $swmCustomSectionLink_start, $swmCustomSectionLink_end);

            $swm['cust'][] = [ 'header', 'radio-switch',   'swm_header_on',       'on',       'Header' ];
            $swm['cust'][] = [ 'header', 'buttontab',      'swm_display_header',  'default',  'Header Content', swm_cust_array('default_custom') ];
            $swm['cust'][] = [ 'header', 'select-section', 'swm_header_section',  '0',        'Select Custom Header', swm_mk_list_sections_styles('header', 'ID'), $swm_header_tmpl_link ];
            $swm['cust'][] = [ 'header', 'slider',         'swm_header_height',             110,   'Header Height', swm_cust_array('five_hundred') ];
            $swm['cust'][] = [ 'header', 'slider',         'swm_pr_menu_font_size',         18,    'Main Menu Font Size', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'header', 'slider',         'swm_dd_menu_font_size',         15,    'Dropdown Menu Font Size', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'header', 'radio-switch',   'swm_custom_sticky_header_on',   'on',  'Custom Sticky Header' ];
            $swm['cust'][] = [ 'header', 'select-section', 'swm_sticky_header_section',     '0',   'Select Custom Sticky Header', swm_mk_list_sections_styles('header', 'ID'), $swm_header_tmpl_link ];
            $swm['cust'][] = [ 'header', 'radio-switch',   'swm_custom_sticky_header_scroll_up', 'off', 'Display Sticky Header on Scroll Up' ];
            $swm['cust'][] = [ 'header', 'radio-switch',   'swm_custom_sticky_header_mobile_on', 'on',  'Hide Custom Sticky Header on Mobile' ];

            // logo options
            $swm['cust'][] = [ 'header', 'image', 'swm_logo_standard', '', 'Retina Logo' ];
            $swm['cust'][] = [ 'header', 'text', 'swm_logo_standard_width', '114', 'Logo Width (px) (only number)' ];
            $swm['cust'][] = [ 'header', 'text', 'swm_logo_standard_height', '', 'Logo Height (px) (only number)' ];

            /* ******************************************************************** */
            /* PAGE TITLE BAR OPTIONS */
            /* ******************************************************************** */

            $swm_titlebar_tmpl_link = sprintf( esc_html__( '%sEdit Selected Title Bar Section%s', 'orbius' ), $swmCustomSectionLink_start, $swmCustomSectionLink_end);

            // Page Title Bar
            $swm['cust'][] = [ 'titlebar', 'radio-switch', 'swm_page_titlebar_on', 'on', 'Page Title Bar' ];
            $swm['cust'][] = [ 'titlebar', 'buttontab', 'swm_display_pagetitlebar', 'default', 'Page Title Bar Content', swm_cust_array('default_custom') ];
            $swm['cust'][] = [ 'titlebar', 'select-section', 'swm_pagetitlebar_section', '0', 'Select Page Title Bar Section', swm_mk_list_sections_styles('titlebar', 'ID'), $swm_titlebar_tmpl_link ];

            // Page Title Bar Title
            $swm['cust'][] = [ 'titlebar', 'radio-switch', 'swm_page_title_bar_title_on',               'on',       'Title Text' ];
            $swm['cust'][] = [ 'titlebar', 'select',        'swm_page_title_bar_title_position',        'center',   'Title Position', swm_cust_array('text_align') ];
            $swm['cust'][] = [ 'titlebar', 'slider',        'swm_page_title_bar_title_padding',         80,         'Title Top and Bottom Padding', swm_cust_array('thousand') ];
            $swm['cust'][] = [ 'titlebar', 'slider',        'swm_page_title_bar_title_font_size_d',     65,         'Text Size',        swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'titlebar', 'slider',        'swm_page_title_bar_title_letter_space',    0,          'Letter Spacing',   swm_cust_array('letter_space') ];
            $swm['cust'][] = [ 'titlebar', 'slider',        'swm_page_title_bar_title_lineheight',      70,         'Line Height',      swm_cust_array('hundred') ];
            $swm['cust'][] = [ 'titlebar', 'buttontab',     'swm_page_title_bar_title_transform',       'lowercase', 'Text Transform',  swm_cust_array('text_transform') ];
            $swm['cust'][] = [ 'titlebar', 'select',        'swm_page_title_bar_title_font_weight',     '500',       'Font Weight',     swm_cust_array('font_weight') ];

            // Post Title Bar
            $swm['cust'][] = [ 'titlebar', 'radio-switch', 'swm_post_titlebar_on', 'on', 'Post Title Bar' ];
            $swm['cust'][] = [ 'titlebar', 'buttontab', 'swm_display_posttitlebar', 'default', 'Post Title Bar Content', swm_cust_array('default_custom') ];
            $swm['cust'][] = [ 'titlebar', 'select-section', 'swm_posttitlebar_section', '0', 'Select Post Title Bar Section', swm_mk_list_sections_styles('titlebar', 'ID'), $swm_titlebar_tmpl_link ];

            // Post Title Bar Title
            $swm['cust'][] = [ 'titlebar', 'radio-switch', 'swm_post_title_bar_title_on', 'on', 'Title Text' ];
            $swm['cust'][] = [ 'titlebar', 'select', 'swm_post_title_bar_title_position', 'center', 'Title Position', swm_cust_array('text_align') ];
            $swm['cust'][] = [ 'titlebar', 'slider', 'swm_post_title_bar_title_font_size_d', '55', 'Text Size', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'titlebar', 'slider', 'swm_post_title_bar_title_padding', '80', 'Title Top and Bottom Padding', swm_cust_array('thousand') ];

            /* ******************************************************************** */
            /* SIDEBAR OPTIONS */
            /* ******************************************************************** */

            $swm['cust'][] = [ 'sidebar', 'slider',         'swm_sidebar_text_size', 16,    'Text Size', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'sidebar', 'radio-switch',   'swm_sticky_sidebar_on', 'on',  'Sticky Sidebar' ];
            $swm['cust'][] = [ 'sidebar', 'buttontab',      'swm_sidebar_list_widget_transform', 'none', 'Categories/Archives Widgets Text Transform', swm_cust_array('text_transform') ];

            // title
            $swm['cust'][] = [ 'sidebar', 'buttontab', 'swm_sidebar_title_transform',       'lowercase',    'Title Text Transform', swm_cust_array('text_transform') ];
            $swm['cust'][] = [ 'sidebar', 'slider',    'swm_sidebar_title_size',            32,             'Title Text Size',  swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'sidebar', 'slider',    'swm_sidebar_title_letter_space',    0,              'Title Letter Spacing', swm_cust_array('letter_space') ];

            /* ******************************************************************** */
            /* FOOTER OPTIONS */
            /* ******************************************************************** */

            $swm['cust'][] = [ 'footer', 'radio-switch', 'swm_footer_on', 'on', 'Footer' ];

            // Widget Footer
            $swm['cust'][] = [ 'footer', 'buttontab',      'swm_display_footer',            'default',  'Footer Content',         swm_cust_array('default_custom') ];
            $swm['cust'][] = [ 'footer', 'select-section', 'swm_footer_section',            '0',        'Select Footer Section', swm_mk_list_sections_styles('footer', 'ID'),sprintf( esc_html__( '%sEdit Selected Page Footer Section%s', 'orbius' ), $swmCustomSectionLink_start, $swmCustomSectionLink_end) ];
            $swm['cust'][] = [ 'footer', 'radio-switch',   'swm_widget_footer_on',          'on',       'Widget Footer' ];
            $swm['cust'][] = [ 'footer', 'slider',         'swm_widget_footer_text_size',   16,         'Footer Font Size',       swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'footer', 'slider',         'swm_widget_footer_title_size',  34,         'Widget Title Font Size', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'footer', 'buttontab',      'swm_widget_footer_column',      '4',        'Footer Column',          swm_cust_array('four') ];

            // small footer
            $swm['cust'][] = [ 'footer', 'radio-switch',   'swm_small_footer_on',           'on',       'Small Footer' ];
            $swm['cust'][] = [ 'footer', 'textarea',       'swm_small_footer_copyright',    'Copyright Company Name. All rights reserved.', 'Footer Text' ];
            $swm['cust'][] = [ 'footer', 'slider',         'swm_small_footer_text_size',    16,         'Font Size',    swm_cust_array('font_size') ];

            // other
            $swm['cust'][] = [ 'footer', 'radio-switch',   'swm_sticky_footer_on',          'off',      'Enable Reveal Effect for Footer' ];

            /* ******************************************************************** */
            /* TYPOGRAPHY OPTIONS */
            /* ******************************************************************** */

            $swm['cust'][] = [ 'fonts', 'select', 'swm_theme_fonts', 'google', 'Fonts', swm_cust_array('thme_fonts')  ];

            // Fonts
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_google_fonts_subset_on',           'off',      'Fonts Subsets' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_google_font_subset_cyrillic',      'off',      'Cyrillic' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_google_font_subset_greek',         'off',      'Greek' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_google_font_subset_vietnamese',    'off',      'Vietnamese' ];

            $swm['cust'][] = [ 'fonts', 'slider',       'swm_body_font_size',                   '15',       'Font Size',        swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'fonts', 'slider',       'swm_body_font_lineheight',             1.85,       'Line Height',      swm_cust_array('line_height') ];
            $swm['cust'][] = [ 'fonts', 'slider',       'swm_body_font_letter_spacing',         0,          'Letter Spacing',   swm_cust_array('letter_space_alt') ];
            $swm['cust'][] = [ 'fonts', 'select',       'swm_google_body_font_name',            'Poppins',  'Font Family',      swm_google_fonts_list() ];
            $swm['cust'][] = [ 'fonts', 'radio',        'swm_google_body_font_weight',          500,        'Font Weight',      swm_fonts_all_weights() ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_body_font_weight_light',           'on',       'Light' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_body_font_weight_medium',          'on',       'Medium' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_body_font_weight_semi_bold',       'on',       'Semi Bold' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_body_font_weight_bold',            'on',       'Bold' ];

            $swm['cust'][] = [ 'fonts', 'slider',       'swm_headings_font_letter_spacing',     0,          'Letter Spacing',   swm_cust_array('letter_space_alt') ];
            $swm['cust'][] = [ 'fonts', 'select',       'swm_google_headings_font_name',        'Poppins',  'Font Family',      swm_google_fonts_list() ];
            $swm['cust'][] = [ 'fonts', 'radio',        'swm_google_headings_font_weight',      '600',      'Font Weight',      swm_fonts_all_weights() ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_headings_font_weight_light',       'on',       'Light' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_headings_font_weight_medium',      'on',       'Medium' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_headings_font_weight_semi_bold',   'on',       'Semi Bold' ];
            $swm['cust'][] = [ 'fonts', 'radio-switch', 'swm_headings_font_weight_bold',        'on',       'Bold' ];

            $swm['cust'][] = [ 'fonts', 'slider',       'swm_secondary_font_letter_spacing',     0,             'Letter Spacing',   swm_cust_array('letter_space_alt') ];
            $swm['cust'][] = [ 'fonts', 'select',       'swm_google_secondary_font_name',        'Roboto Mono', 'Font Family',      swm_google_fonts_list() ];
            $swm['cust'][] = [ 'fonts', 'radio',        'swm_google_secondary_font_weight',      '400',         'Font Weight',      swm_fonts_all_weights() ];

            // Adobe Fonts
            $swm['cust'][] = [ 'fonts', 'text',   'swm_adobe_body_font_name',       '',         'Font Name' ];
            $swm['cust'][] = [ 'fonts', 'url',    'swm_adobe_body_font_css_url',    '',         'CSS File URL' ];
            $swm['cust'][] = [ 'fonts', 'select', 'swm_adobe_body_font_weight',     '400',      'Font Weight',      swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'fonts', 'select', 'swm_adobe_body_font_style',      'normal',   'Font Style',       swm_cust_array('font_style') ];
            $swm['cust'][] = [ 'fonts', 'slider', 'swm_adobe_body_font_letter_spacing', 0,      'Letter Spacing',   swm_cust_array('letter_space_alt') ];

            $swm['cust'][] = [ 'fonts', 'text',   'swm_adobe_heading_font_name',    '',         'Font Name' ];
            $swm['cust'][] = [ 'fonts', 'url',    'swm_adobe_heading_font_css_url', '',         'CSS File URL' ];
            $swm['cust'][] = [ 'fonts', 'select', 'swm_adobe_heading_font_weight',  '400',      'Font Weight',      swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'fonts', 'select', 'swm_adobe_heading_font_style',   'normal',   'Font Style',       swm_cust_array('font_style') ];
            $swm['cust'][] = [ 'fonts', 'slider', 'swm_adobe_heading_font_letter_spacing', 0,   'Letter Spacing',   swm_cust_array('letter_space_alt') ];

            $swm['cust'][] = [ 'fonts', 'text',   'swm_adobe_secondary_font_name',    '',         'Font Name' ];
            $swm['cust'][] = [ 'fonts', 'url',    'swm_adobe_secondary_font_css_url', '',         'CSS File URL' ];
            $swm['cust'][] = [ 'fonts', 'select', 'swm_adobe_secondary_font_weight',  '400',      'Font Weight',      swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'fonts', 'select', 'swm_adobe_secondary_font_style',   'normal',   'Font Style',       swm_cust_array('font_style') ];
            $swm['cust'][] = [ 'fonts', 'slider', 'swm_adobe_secondary_font_letter_spacing', 0,   'Letter Spacing',   swm_cust_array('letter_space_alt') ];

            // Custom Fonts
            $swm['cust'][] = [ 'fonts', 'text',     'swm_custom_body_font_name',            '',         'Font Name' ];
            $swm['cust'][] = [ 'fonts', 'upload',   'swm_custom_body_font_woff',            '',         'Font File (*.woff)' ];
            $swm['cust'][] = [ 'fonts', 'upload',   'swm_custom_body_font_woff2',           '',         'Font File (*.woff2)' ];
            $swm['cust'][] = [ 'fonts', 'select',   'swm_custom_body_font_weight',          '400',      'Font Weight',      swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'fonts', 'select',   'swm_custom_body_font_style',           'normal',   'Font Style',       swm_cust_array('font_style') ];
            $swm['cust'][] = [ 'fonts', 'slider',   'swm_custom_body_font_letter_spacing',  0,          'Letter Spacing',   swm_cust_array('letter_space_alt') ];

            $swm['cust'][] = [ 'fonts', 'text',     'swm_custom_heading_font_name',         '',         'Font Name' ];
            $swm['cust'][] = [ 'fonts', 'upload',   'swm_custom_heading_font_woff',         '',         'Font File (*.woff)' ];
            $swm['cust'][] = [ 'fonts', 'upload',   'swm_custom_heading_font_woff2',        '',         'Font File (*.woff2)' ];
            $swm['cust'][] = [ 'fonts', 'select',   'swm_custom_heading_font_weight',       '400',      'Font Weight',      swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'fonts', 'select',   'swm_custom_heading_font_style',        'normal',   'Font Style',       swm_cust_array('font_style') ];
            $swm['cust'][] = [ 'fonts', 'slider',   'swm_custom_heading_font_letter_spacing', 0,        'Letter Spacing',   swm_cust_array('letter_space_alt') ];

            $swm['cust'][] = [ 'fonts', 'text',     'swm_custom_secondary_font_name',         '',         'Font Name' ];
            $swm['cust'][] = [ 'fonts', 'upload',   'swm_custom_secondary_font_woff',         '',         'Font File (*.woff)' ];
            $swm['cust'][] = [ 'fonts', 'upload',   'swm_custom_secondary_font_woff2',        '',         'Font File (*.woff2)' ];
            $swm['cust'][] = [ 'fonts', 'select',   'swm_custom_secondary_font_weight',       '400',      'Font Weight',      swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'fonts', 'select',   'swm_custom_secondary_font_style',        'normal',   'Font Style',       swm_cust_array('font_style') ];
            $swm['cust'][] = [ 'fonts', 'slider',   'swm_custom_secondary_font_letter_spacing', 0,        'Letter Spacing',   swm_cust_array('letter_space_alt') ];

            // Headings
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h1_font_size', 75, 'Heading H1', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h2_font_size', 60, 'Heading H2', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h3_font_size', 50, 'Heading H3', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h4_font_size', 45, 'Heading H4', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h5_font_size', 32, 'Heading H5', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h6_font_size', 20, 'Heading H6', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h1_font_lineheight', 1.3, 'Heading H1', swm_cust_array('line_height') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h2_font_lineheight', 1.2, 'Heading H2', swm_cust_array('line_height') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h3_font_lineheight', 1.2, 'Heading H3', swm_cust_array('line_height') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h4_font_lineheight', 1.2, 'Heading H4', swm_cust_array('line_height') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h5_font_lineheight', 1.2, 'Heading H5', swm_cust_array('line_height') ];
            $swm['cust'][] = [ 'headings', 'slider', 'swm_h6_font_lineheight', 1.2, 'Heading H6', swm_cust_array('line_height') ];

            $swm['cust'][] = [ 'headings', 'select', 'swm_h1_font_weight', '500', 'Heading H1', swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'headings', 'select', 'swm_h2_font_weight', '500', 'Heading H2', swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'headings', 'select', 'swm_h3_font_weight', '500', 'Heading H3', swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'headings', 'select', 'swm_h4_font_weight', '600', 'Heading H4', swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'headings', 'select', 'swm_h5_font_weight', '600', 'Heading H5', swm_cust_array('font_weight') ];
            $swm['cust'][] = [ 'headings', 'select', 'swm_h6_font_weight', '600', 'Heading H6', swm_cust_array('font_weight') ];

            /* ******************************************************************** */
            /* BLOG OPTIONS */
            /* ******************************************************************** */

            $swm['cust'][] = [ 'blog', 'select',    'swm_blog_page_layout',                 'layout-sidebar-right', 'Blog Page Layout', swm_cust_array('page_content_layout') ];
            $swm['cust'][] = [ 'blog', 'text',      'swm_featured_img_height',              '569',                  'Featured Image Height (Only Number)' ];
            $swm['cust'][] = [ 'blog', 'text',      'swm_featured_fullwidth_img_height',    '569',                  'Fullwidth Featured Image Height' ];
            $swm['cust'][] = [ 'blog', 'slider',    'swm_post_title_size',                  65,                     'Text Size',        swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'blog', 'slider',    'swm_post_title_letter_space',          0,                      'Letter Spacing',   swm_cust_array('letter_space') ];
            $swm['cust'][] = [ 'blog', 'slider',    'swm_post_title_lineheight',            70,                     'Line Height',      swm_cust_array('hundred') ];
            $swm['cust'][] = [ 'blog', 'buttontab', 'swm_post_title_transform',             'lowercase',            'Text Transform',   swm_cust_array('text_transform') ];
            $swm['cust'][] = [ 'blog', 'select',    'swm_post_title_font_weight',           '500',                  'Font Weight',      swm_cust_array('font_weight') ];

            // on-off post meta
            $swm['cust'][] = [ 'blog', 'radio-switch', 'swm_date_on',         'on',       'Date' ];
            $swm['cust'][] = [ 'blog', 'radio-switch', 'swm_cats_on',         'on',       'Category' ];
            $swm['cust'][] = [ 'blog', 'radio-switch', 'swm_author_name_on',  'off',      'Author Name' ];
            $swm['cust'][] = [ 'blog', 'radio-switch', 'swm_comments_on',     'on',       'Comments' ];
            $swm['cust'][] = [ 'blog', 'radio-switch', 'swm_excerpt_on',      'on',       'Excerpt' ];
            $swm['cust'][] = [ 'blog', 'text',         'swm_excerpt_length',  '50',       'Excerpt Length' ];
            $swm['cust'][] = [ 'blog', 'text',         'swm_post_button_text','read more','Readmore Button Text' ];
            $swm['cust'][] = [ 'blog', 'buttontab',    'swm_post_meta_transform',  'lowercase', 'Text Transform', swm_cust_array('text_transform') ];

            //archive page
            $swm['cust'][] = [ 'blog', 'sidebar-select', 'swm_archives_sidebar', 'blog-sidebar', 'Select Sidebar Name' ];

            /* ******************************************************************** */
            /* BLOG SINGLE OPTIONS */
            /* ******************************************************************** */
            $swm['cust'][] = [ 'blog_single', 'select', 'swm_blog_single_layout', 'standard', 'Display Style', swm_cust_array('blog_single_display_style') ];
            $swm['cust'][] = [ 'blog_single', 'slider', 'swm_single_post_bg_height', 600, 'Full Width Image Height (Desktop)', swm_cust_array('thousand') ];
            $swm['cust'][] = [ 'blog_single', 'slider', 'swm_single_post_bg_height_mob', 400, 'Full Width Image Height (Mobile)', swm_cust_array('thousand') ];

            //post title
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_post_title_on', 'on', 'Post Title' ];
            $swm['cust'][] = [ 'blog_single', 'slider',       'swm_single_post_title_size', 65, 'Text Size', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'blog_single', 'slider',       'swm_single_post_title_letter_space', 0, 'Letter Spacing', swm_cust_array('letter_space') ];
            $swm['cust'][] = [ 'blog_single', 'slider',       'swm_single_post_title_lineheight', 70, 'Line Height', swm_cust_array('hundred') ];
            $swm['cust'][] = [ 'blog_single', 'buttontab',    'swm_single_post_title_transform', 'lowercase', 'Text Transform', swm_cust_array('text_transform') ];
            $swm['cust'][] = [ 'blog_single', 'select',       'swm_single_post_title_font_weight','500', 'Font Weight', swm_cust_array('font_weight') ];

            // on-off post meta
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_date_on',         'on', 'Date' ];
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_cats_on',         'on', 'Category'];
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_author_name_on',  'off', 'Author Name' ];
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_comments_on',     'on', 'Comments'];
            $swm['cust'][] = [ 'blog_single', 'buttontab',    'swm_single_meta_transform',  'lowercase', 'Text Transform', swm_cust_array('text_transform') ];

            // on-off post sections
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_authorbox_on', 'off', 'Author Bio'];
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_tags_on', 'on', 'Tags'];
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_comments_section_on', 'on', 'Post Comments'];
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_pagination_on', 'on', 'Next Prev Post Pagination'];

            // related posts
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_related_posts_on', 'on', 'Related Posts'];
            $swm['cust'][] = [ 'blog_single', 'slider',       'swm_single_related_posts_number', '3', 'Number of Related Posts', swm_cust_array('one_to_twenty') ];
            $swm['cust'][] = [ 'blog_single', 'buttontab',    'swm_single_related_posts_column', '3', 'Display Column for Related Posts', swm_cust_array('four') ];
            $swm['cust'][] = [ 'blog_single', 'buttontab',    'swm_single_related_posts_transform', 'lowercase', 'Text Transform', swm_cust_array('text_transform') ];
            $swm['cust'][] = [ 'blog_single', 'slider',       'swm_single_related_posts_ttl_size', 27, 'Post Title Text Size', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'blog_single', 'radio-switch', 'swm_single_related_posts_meta_on', 'on', 'Post Meta'];
            $swm['cust'][] = [ 'blog_single', 'text',         'swm_single_related_posts_meta_date', 'M j', 'Date Format' ];

            $swm['cust'][] = [ 'blog_single', 'slider',       'swm_post_single_section_ttl_size', 55, 'Text Size', swm_cust_array('font_size') ];
            $swm['cust'][] = [ 'blog_single', 'slider',       'swm_post_single_section_ttl_letter_space', 0, 'Letter Spacing', swm_cust_array('letter_space') ];
            $swm['cust'][] = [ 'blog_single', 'slider',       'swm_post_single_section_ttl_lineheight', 60, 'Line Height', swm_cust_array('hundred') ];
            $swm['cust'][] = [ 'blog_single', 'buttontab',    'swm_post_single_section_ttl_transform', 'lowercase', 'Text Transform', swm_cust_array('text_transform') ];

            /* ******************************************************************** */
            /* SEARCH */
            /* ******************************************************************** */

            $swm['cust'][] = [ 'search', 'buttontab',    'swm_search_text_transform', 'lowercase', 'Text Transform', swm_cust_array('text_transform') ];
            $swm['cust'][] = [ 'search', 'radio-switch', 'swm_search_thumbnail_on', 'on', 'Thumbnail'];
            $swm['cust'][] = [ 'search', 'radio-switch', 'swm_search_post_expert_on', 'on', 'Expert Text'];
            $swm['cust'][] = [ 'search', 'slider',       'swm_search_ttl_size', 32, 'Post Title Text Size', swm_cust_array('font_size') ];

            /* ******************************************************************** */
            /* SHOP OPTIONS */
            /* ******************************************************************** */

            if ( SWM_WOOCOMMERCE_IS_ACTIVE ) {

                $swm['cust'][] = [ 'shop', 'select', 'swm_wc_shop_layout', 'layout-full-width' , 'Shop List Layout', swm_cust_array('page_content_layout') ];
                $swm['cust'][] = [ 'shop', 'slider', 'swm_shop_list_content_width', 78, 'Content Width for Page with Sidebar (%)', swm_cust_array('content_width') ];
                $swm['cust'][] = [ 'shop', 'slider', 'swm_wc_products_per_page', 12, 'How Many Products Per Page?', swm_cust_array('one_to_hundred') ];
                $swm['cust'][] = [ 'shop', 'select', 'swm_wc_shop_column', 4, 'Shop Page Columns', swm_cust_array('two_to_six'), 'swm_wc_shop_options' ];
                $swm['cust'][] = [ 'shop', 'slider', 'swm_wc_shop_loop_h_space', 32, 'Items Horizontal Space', swm_cust_array('hundred') ];
                $swm['cust'][] = [ 'shop', 'slider', 'swm_wc_shop_loop_v_space', 45, 'Items Vertical Space', swm_cust_array('hundred') ];
                $swm['cust'][] = [ 'shop', 'slider', 'swm_wc_title_font_size', 25, 'Product Name Font Size', swm_cust_array('font_size') ];
                $swm['cust'][] = [ 'shop', 'slider', 'swm_wc_price_font_size', 15, 'Product Price Font Size', swm_cust_array('font_size') ];
                $swm['cust'][] = [ 'shop', 'radio-switch', 'swm_shop_list_category_on', 'off', 'Category Name', 'swm_wc_shop_options' ];
                $swm['cust'][] = [ 'shop', 'radio-switch', 'swm_wc_shop_sale_badge', 'off', 'Enable Percent Sign', 'swm_wc_shop_options' ];
                $swm['cust'][] = [ 'shop', 'buttontab', 'swm_wc_title_transform', 'lowercase','Product Name Text Transform', swm_cust_array('text_transform'), 'swm_wc_shop_options' ];

                // Product Single
                $swm['cust'][] = [ 'shop_single', 'buttontab', 'swm_wc_single_title_transform', 'lowercase', 'Product Name Text Transform', swm_cust_array('text_transform') ];
                $swm['cust'][] = [ 'shop_single', 'slider',    'swm_wc_single_title_font_size', 60, 'Product Title Font Size', swm_cust_array('font_size') ];
                $swm['cust'][] = [ 'shop_single', 'slider',    'swm_wc_single_price_font_size', 15, 'Price Font Size', swm_cust_array('font_size') ];
                $swm['cust'][] = [ 'shop_single', 'buttontab', 'swm_wc_single_relative_title_transform', 'lowercase', 'Relative/Up-Sells Title Text Transform', swm_cust_array('text_transform') ];
                $swm['cust'][] = [ 'shop_single', 'slider', 'swm_wc_single_relative_font_size', 45, 'Relative/Up-Sells Title Font Size', swm_cust_array('font_size') ];
                $swm['cust'][] = [ 'shop_single', 'slider', 'swm_related_products_per_page', 4, 'How Many Related Products?', swm_cust_array('one_to_hundred') ];
                $swm['cust'][] = [ 'shop_single', 'select', 'swm_wc_related_products_col', 4, 'Related Products Columns', swm_cust_array('two_to_six') ];
                $swm['cust'][] = [ 'shop_single', 'slider', 'swm_wc_up_sells_per_page', 4, 'How Many Up-Sells Products?', swm_cust_array('one_to_hundred') ];
                $swm['cust'][] = [ 'shop_single', 'select', 'swm_wc_up_sells_col', 4, 'Up Sells Columns', swm_cust_array('two_to_six') ];
                $swm['cust'][] = [ 'shop_single', 'slider', 'swm_wc_single_gallery_section_width', 53, 'Large Image and Thumbnails Gallery Section Width (%)', swm_cust_array('one_to_hundred') ];
                $swm['cust'][] = [ 'shop_single', 'slider',   'swm_wc_single_thumb_section_width', 26, 'Section Width (%)', swm_cust_array('hundred_digital') ];
                $swm['cust'][] = [ 'shop_single', 'slider',   'swm_wc_single_gallery_img_space', 23, 'Image Spacing (px)', swm_cust_array('thousand') ];
                $swm['cust'][] = [ 'shop_single', 'slider',   'swm_wc_single_gallery_img_space_mobile', 15, 'Image Spacing - Mobile (px)', swm_cust_array('thousand') ];
                $swm['cust'][] = [ 'shop_single', 'buttontab','swm_wc_single_gallery_img_width', 'thumbnail', 'Image Size', swm_cust_array('image_size') ];
                $swm['cust'][] = [ 'shop_single', 'buttontab','swm_wc_single_gallery_position', 'bottom', ' Position', swm_cust_array('shop_gallery_postion') ];
                $swm['cust'][] = [ 'shop_single', 'buttontab','swm_wc_single_gallery_col', 4, 'Gallery  Column', swm_cust_array('eight') ];
                $swm['cust'][] = [ 'shop_single', 'buttontab','swm_wc_single_gallery_col_mobile', 2, 'Gallery  Column - Mobile', swm_cust_array('eight') ];

                // Cart Page
                $swm['cust'][] = [ 'shop_cart', 'slider','swm_wc_cart_sub_title_font_size', 40, 'Cross Sales / Cart Total Title Font Size', swm_cust_array('font_size') ];
                $swm['cust'][] = [ 'shop_cart', 'slider','swm_wc_cross_sells_per_page', 4, 'How Many Cross-Sells Products?', swm_cust_array('one_to_hundred') ];
                $swm['cust'][] = [ 'shop_cart', 'select','swm_wc_cross_sales_col', 4, 'Cross Sales Columns', swm_cust_array('two_to_six') ];

            }

        // ---------------------------------------------------------------------------------------------------------

        // move Site Identity Tab at Bottom
        $wp_customize->get_section('title_tagline')->priority = 80;

        // Panels
        $swm_cust_panels = [
            [ 'swm_typography_panel', esc_html__( 'Typography', 'orbius' ),  12 ],
            [ 'swm_header_panel',     esc_html__( 'Header', 'orbius' ),  12 ],
            [ 'swm_blog_panel',       esc_html__( 'Blog', 'orbius' ),    20  ],
            [ 'swm_wc_panel',         esc_html__( 'Shop', 'orbius' ),    30 ],
        ];

        foreach ( $swm_cust_panels as $panel ) {
            $wp_customize->add_panel( $panel[0], [
              'title'    => $panel[1],
              'priority' => $panel[2]
            ]);
        }

        // Sections
        $swm_cust_sections = [
            [ 'swm_general_options',     esc_html__( 'General', 'orbius' ),          1],
            [ 'swm_layout_options',      esc_html__( 'Layout', 'orbius' ),           9],
            [ 'swm_styling_options',     esc_html__( 'Colors', 'orbius' ),           10],
            [ 'swm_fonts_options',       esc_html__( 'Fonts', 'orbius' ),            11, 'swm_typography_panel'],
            [ 'swm_headings_options',    esc_html__( 'Headings', 'orbius' ),         12, 'swm_typography_panel'],
            [ 'swm_header_options',      esc_html__( 'Header', 'orbius' ),           14],
            [ 'swm_titlebar_options',    esc_html__( 'Title Bar', 'orbius' ),        16],
            [ 'swm_sidebar_options',     esc_html__( 'Sidebar', 'orbius' ),          17],
            [ 'swm_footer_options',      esc_html__( 'Footer', 'orbius' ),           18],
            [ 'swm_blog_options',        esc_html__( 'Blog', 'orbius' ),             1, 'swm_blog_panel'],
            [ 'swm_blog_single_options', esc_html__( 'Blog Single', 'orbius' ),      2, 'swm_blog_panel'],
            [ 'swm_search_options',      esc_html__( 'Search Result Page', 'orbius' ),           31],
            [ 'swm_shop_options',        esc_html__( 'Shop List Page', 'orbius' ),   1, 'swm_wc_panel'],
            [ 'swm_shop_single_options', esc_html__( 'Shop Signel Page', 'orbius' ), 2, 'swm_wc_panel'],
            [ 'swm_shop_cart_options',   esc_html__( 'Cart Page', 'orbius' ),        3, 'swm_wc_panel'],
        ];

        foreach ( $swm_cust_sections as $section ) {
            $swm_get_sec_one = !empty($section[1]) ? $section[1] : '';
            $swm_get_sec_three = !empty($section[3]) ? $section[3] : '';

            $wp_customize->add_section( $section[0], [
              'title'    => $swm_get_sec_one,
              'priority' => $section[2],
              'panel'    => $swm_get_sec_three
            ]);
        }

        // Google Fonts Weight List
        $wp_customize->add_setting( 'swm_google_font_weight_list', [
            'type'              => 'theme_mod',
            'capability'        => 'edit_theme_options',
            'default'           => swm_google_fonts_weight(),
            'sanitize_callback' => 'swm_sanitize_default',
            'transport'         => 'refresh'
        ]);

        // Print Settings and Controls
        foreach ( $swm['cust'] as $control ) {

            /*
            information about below code...
            0 = section, 1 = type, 2 = settings_name, 3 = default value, 4 = Name, 5 = array, 6 = custom section link
            $swm['cust'][] = [ 'SECTION', 'TYPE', 'settings_name', 'DEFAULT_VALUE', 'OPTION NAME', 'ARRAY', 'Custom section link' ];
            */

            $swm_cust_section_name     = 'swm_' . $control[0] . '_options';
            $swm_cust_section_type     = $control[1];
            $swm_cust_settings_name    = $control[2];
            $swm_cust_option_default   = $control[3];
            $swm_cust_section_label    = sprintf(esc_html__( '%s', 'orbius' ), $control[4]);
            $swm_cust_section_choices  = !empty($control[5]) ? $control[5] : '';
            $swm_cust_section_link     = !empty($control[6]) ? $control[6] : '';

            $swm_get_sanitize_callback = swm_get_sanitize_callback($swm_cust_section_type);
            $swm_cust_section_sanitize = !empty($swm_get_sanitize_callback) ? $swm_get_sanitize_callback : 'swm_sanitize_default';

            // Print Settings
            $wp_customize->add_setting( $swm_cust_settings_name, [
              'type'              => 'theme_mod',
              'capability'        => 'edit_theme_options',
              'default'           => !empty($swm_cust_option_default) ? $swm_cust_option_default : '',
              'sanitize_callback' => $swm_cust_section_sanitize
            ]);

            static $i = 1;

            $swmCommonCustArray = array(
                'section'  => $swm_cust_section_name,
                'settings' => $swm_cust_settings_name,
                'label'    => $swm_cust_section_label,
                'choices'  => $swm_cust_section_choices,
                'priority' => $i,
            );

            $swmCommonDefaultArray = array(
                'section'  => $swm_cust_section_name,
                'settings' => $swm_cust_settings_name,
                'label'    => $swm_cust_section_label,
                'priority' => $i
            );

            $swmCommonCustArrayTwo = array(
                'section'  => $swm_cust_section_name,
                'type'     => $swm_cust_section_type,
                'label'    => $swm_cust_section_label,
                'priority' => $i
            );

            // Print Controls
            switch ($swm_cust_section_type) {

                case 'text':
                case 'url':
                    $wp_customize->add_control( $swm_cust_settings_name, $swmCommonCustArrayTwo );
                    break;

                case 'radio-switch':
                  $wp_customize->add_control( new swm_Customize_Radio_Switch_Control($wp_customize, $swm_cust_settings_name, $swmCommonCustArrayTwo));
                  break;

                case 'sidebar-select':
                    $wp_customize->add_control( new swm_Customize_Sidebar_Control($wp_customize, $swm_cust_settings_name, $swmCommonCustArrayTwo));
                    break;

                case 'radio-image':
                  $wp_customize->add_control( new swm_Customize_Radio_Image_Control( $wp_customize, $swm_cust_settings_name, $swmCommonCustArray ));
                  break;

                case 'buttontab':
                    $wp_customize->add_control( new swm_Customize_Buttontab_Control( $wp_customize, $swm_cust_settings_name, $swmCommonCustArray ));
                break;

                case 'color':
                  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, $swm_cust_settings_name, $swmCommonDefaultArray ));
                  break;

                case 'image':
                  $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, $swm_cust_settings_name, $swmCommonDefaultArray ));
                  break;

                case 'upload':
                  $wp_customize->add_control( new WP_Customize_Upload_Control( $wp_customize, $swm_cust_settings_name, $swmCommonDefaultArray ));
                  break;

                case 'textarea':
                  $wp_customize->add_control(
                    new swm_Customize_Control_Textarea( $wp_customize, $swm_cust_settings_name, array(
                      'label'    => $swm_cust_section_label,
                      'section'  => $swm_cust_section_name,
                      'settings' => $swm_cust_settings_name,
                      'priority' => $i
                    ))
                  );
                  break;

                case 'radio':
                case 'select':
                $wp_customize->add_control( $swm_cust_settings_name, array(
                    'section'  => $swm_cust_section_name,
                    'label'    => $swm_cust_section_label,
                    'type'     => $swm_cust_section_type,
                    'choices'  => $swm_cust_section_choices,
                    'priority' => $i
                    ));
                break;

                case 'slider':
                  $wp_customize->add_control(
                    new swm_Customize_Slider_Control( $wp_customize, $swm_cust_settings_name, array(
                      'section'  => $swm_cust_section_name,
                      'label'    => $swm_cust_section_label,
                      'settings' => $swm_cust_settings_name,
                      'priority' => $i,
                      'choices'  => $swm_cust_section_choices
                    ))
                  );
                  break;

                case 'select-section':
                    $wp_customize->add_control(
                      new swm_Customize_Control_Select_Sections($wp_customize, $swm_cust_settings_name, array(
                        'section'     => $swm_cust_section_name,
                        'type'        => $swm_cust_section_type,
                        'label'       => $swm_cust_section_label,
                        'choices'     => $swm_cust_section_choices,
                        'description' => $swm_cust_section_link,
                        'priority'    => $i
                      ))
                    );
                  break;

                case 'multi-check':
                  $wp_customize->add_control(
                    new swm_Customize_Control_Multicheck( $wp_customize, $swm_cust_settings_name, array(
                      'settings'     => $swm_cust_settings_name,
                      'label'        => $swm_cust_section_label,
                      'choices'      => $swm_cust_section_choices,
                      'section'      => $swm_cust_section_name,
                      'description'  => $swm_cust_section_link,
                      'priority'     => $i
                    ))
                  );
                  break;
            }

        $i++;

        } //end foreach

        $wp_customize->add_setting( 'swm_posts_lists_titlebar', [
            'type'              => 'theme_mod',
            'capability'        => 'edit_theme_options',
            'default'           => array('post','portfolio','product'),
            'sanitize_callback' => 'swm_sanitize_multi_check',
            'transport'         => 'refresh'
        ]);

        $wp_customize->add_control(
            new swm_Customize_Control_Multicheck( $wp_customize, 'swm_posts_lists_titlebar', array(
              'settings'     => 'swm_posts_lists_titlebar',
              'label'        => esc_html__( 'Title Bar Custom Posts Support', 'orbius' ),
              'choices'      => swm_cust_array('posts_list'),
              'section'      => 'swm_titlebar_options',
              'description'  => esc_html__( 'Check post types to set page title, breadcrumbs, post meta etc. options for posts single page.', 'orbius' ),
              'priority'     => 111,
            ))
        );
    }
    add_action( 'customize_register', 'swm_customizer_options_register' );
}