<?php if ( ! defined( 'ABSPATH' ) ) { exit; } ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<?php get_template_part('parts/header/preloader'); ?>
    <?php get_template_part('parts/header/progressbar'); ?>
	<?php
    if ( get_theme_mod('swm_header_on','on') == 'on' && get_theme_mod('swm_display_header','default') == 'default' ) {
        get_template_part('parts/header/mobile-menu');
    }

    ?>

	<div id="swm-page">
		<div id="swm-outer-wrap" class="clear">
			<div id="swm-wrap" class="clear">

				<?php
				// Header ---------------------------------------------------------------

                if ( get_theme_mod('swm_header_on','on') == 'on' ) :

                    $swm_show_header    = 'on';
                    $swm_meta_header_on = get_post_meta( swm_get_queried_object_id(), 'swm_meta_header_on', true );
                    $swm_display_header =  get_theme_mod('swm_display_header','default');

                    if ( !empty($swm_meta_header_on) && isset($swm_meta_header_on) ) {
                        $swm_show_header = $swm_meta_header_on;
                    }

                    if ( $swm_show_header == 'on' ) :

                        $swm_meta_header_section = $swm_meta_sticky_header_section = '';

                        $swm_meta_header_section        = get_post_meta( swm_get_queried_object_id(), 'swm_meta_header_section', true );
                        $swm_meta_sticky_header_section = get_post_meta( swm_get_queried_object_id(), 'swm_meta_sticky_header_section', true );
                        $swm_meta_header_id             = swm_mk_get_custom_section_id('header', $swm_meta_header_section);
                        $swm_meta_sticky_header_id      = swm_mk_get_custom_section_id('header', $swm_meta_sticky_header_section);
                        $swm_header_sticky_scroll_up_down = ( get_theme_mod('swm_custom_sticky_header_scroll_up','off') == 'on' ) ? 'swm-sticky-scoll-up' : 'swm-sticky-scoll-down';

                        // check first page/post metabox header
                        if ( !empty($swm_meta_header_section) && '0' != $swm_meta_header_section ) {

                            // display main header with meta header id
                            ?>
                            <header class="swm_header_custom_section" id="swm-header">
                                <?php do_action( 'swm_action_show_section', $swm_meta_header_id ); ?>
                            </header>
                            <?php

                            // display sticky header with meta sticky header id
                            if ( !empty($swm_meta_sticky_header_section) && '0' != $swm_meta_sticky_header_section ) { ?>
                                <header class="swm_header_sticky_section <?php echo esc_attr($swm_header_sticky_scroll_up_down); ?>" id="swm-sticky-header">
                                    <?php do_action( 'swm_action_show_section', $swm_meta_sticky_header_id ); ?>
                                </header>
                                <?php
                            }

                        } elseif ( $swm_display_header == 'custom' ) {

                            // display custom header from customizer > header section

                            $swm_get_header_section = get_theme_mod('swm_header_section','0');

                            if ( !empty($swm_get_header_section) && '0' != $swm_get_header_section ) :

                                $swm_get_sticky_header_section = get_theme_mod('swm_sticky_header_section','0');
                                $swm_header_id                 = swm_mk_get_custom_section_id('header', $swm_get_header_section);
                                $swm_sticky_header_id          = swm_mk_get_custom_section_id('header', $swm_get_sticky_header_section);
                                $swm_custom_sticky_header_on   = get_theme_mod('swm_custom_sticky_header_on','on' );

                                // main header
                                 ?>
                                <header class="swm_header_custom_section" id="swm-header">
                                    <?php do_action( 'swm_action_show_section', $swm_header_id ); ?>
                                </header>
                                <?php

                                // sticky header
                                if ( $swm_custom_sticky_header_on == 'on' && '0' != $swm_get_sticky_header_section ) { ?>
                                    <header class="swm_header_sticky_section <?php echo esc_attr($swm_header_sticky_scroll_up_down); ?>" id="swm-sticky-header">
                                        <?php do_action( 'swm_action_show_section', $swm_sticky_header_id ); ?>
                                    </header>
                                    <?php
                                }

                            endif;


                        } else {

                            // default theme header
                            get_template_part('parts/header/header');

                        }

                    endif; // swm_show_header


                endif; // swm_header_on


                // Page Title Bar

                if ( is_single() ) {

                    if ( get_theme_mod('swm_post_titlebar_on','on') == 'on' ) {

                        $swm_post_types_list = get_theme_mod('swm_posts_lists_titlebar', array('post','portfolio','product'));
                        $swm_get_post_type = get_post_type();

                        if ( !empty($swm_post_types_list) && in_array($swm_get_post_type,$swm_post_types_list) ) {
                            get_template_part('parts/header/title-bar-post');
                        }

                    }

                    $swm_blog_single_layout = get_theme_mod('swm_blog_single_layout','standard');
                    $swm_meta_blog_single_layout = get_post_meta( swm_get_queried_object_id(), 'swm_meta_blog_single_layout', true );

                    if ( 'default' !== $swm_meta_blog_single_layout ) {
                        $swm_blog_single_layout = $swm_meta_blog_single_layout;
                    }

                    if ( $swm_blog_single_layout != 'standard' || $swm_blog_single_layout != 'standard-alt' ) {
                        get_template_part('parts/posts/' .$swm_blog_single_layout);
                    }

                } else {
                    get_template_part('parts/header/title-bar-page');
                }
                ?>

				<div id="content" class="swm-main-container swm-site-content swm-anim" >
                    <div class="swm_site_content_wrap swm-container"></div>