<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( ! function_exists('swm_register_theme_widgets')) {
	function swm_register_theme_widgets() {

		register_sidebar( array(
			'name' => esc_html__('Blog Sidebar', 'orbius'),
			'id' => 'blog-sidebar',
			'description' => esc_html__('Sidebar for blog section', 'orbius'),
			'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="swm-sidebar-widget-box"><div class="swm-widget-content">',
			'after_widget' => '<div class="clear"></div></div></div></div>',
			'before_title' => '<div class="swm-sidebar-ttl"><h4><span>',
			'after_title' => '</span></h4><div class="clear"></div></div><div class="clear"></div>'
		));

		register_sidebar( array(
			'name' => esc_html__('Page Sidebar', 'orbius'),
			'id' => 'page-sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="swm-sidebar-widget-box"><div class="swm-widget-content">',
			'after_widget' => '<div class="clear"></div></div></div></div>',
			'before_title' => '<div class="swm-sidebar-ttl"><h4><span>',
			'after_title' => '</span></h4><div class="clear"></div></div><div class="clear"></div>'
		));

		register_sidebar( array(
			'name' => esc_html__('Search Page Sidebar', 'orbius'),
			'id' => 'search-sidebar',
			'description' => esc_html__('Sidebar for search pages', 'orbius'),
			'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="swm-sidebar-widget-box"><div class="swm-widget-content">',
			'after_widget' => '<div class="clear"></div></div></div></div>',
			'before_title' => '<div class="swm-sidebar-ttl"><h4><span>',
			'after_title' => '</span></h4><div class="clear"></div></div><div class="clear"></div>'
		));

		register_sidebar( array(
			'name' => esc_html__('Footer Column 1', 'orbius'),
			'id' => 'swm-footer-1',
			'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="swm-footer-widget"><div class="swm-widget-content">',
			'after_widget' => '<div class="clear"></div></div></div></div>',
			'before_title' => '<h4><span>',
			'after_title' => '</span></h4><div class="clear"></div>'
		));

		if ( get_theme_mod( 'swm_widget_footer_column','4' ) != '1' ) {

			register_sidebar( array(
				'name' => esc_html__('Footer Column 2', 'orbius'),
				'id' => 'swm-footer-2',
				'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="swm-footer-widget"><div class="swm-widget-content">',
				'after_widget' => '<div class="clear"></div></div></div></div>',
				'before_title' => '<h4><span>',
				'after_title' => '</span></h4><div class="clear"></div>'
			));

		}

		if ( get_theme_mod( 'swm_widget_footer_column','4' ) != '1' &
			get_theme_mod( 'swm_widget_footer_column','4' ) != '2' ) {

			register_sidebar( array(
				'name' => esc_html__('Footer Column 3', 'orbius'),
				'id' => 'swm-footer-3',
				'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="swm-footer-widget"><div class="swm-widget-content">',
				'after_widget' => '<div class="clear"></div></div></div></div>',
				'before_title' => '<h4><span>',
				'after_title' => '</span></h4><div class="clear"></div>'
			));

		}

		if ( get_theme_mod( 'swm_widget_footer_column','4' ) != '1' &
			get_theme_mod( 'swm_widget_footer_column','4' ) != '2'&
			get_theme_mod( 'swm_widget_footer_column','4' ) != '3' ) {

			register_sidebar( array(
				'name' => esc_html__('Footer Column 4', 'orbius'),
				'id' => 'swm-footer-4',
				'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="swm-footer-widget"><div class="swm-widget-content">',
				'after_widget' => '<div class="clear"></div></div></div></div>',
				'before_title' => '<h4><span>',
				'after_title' => '</span></h4><div class="clear"></div>'
			));

		}

        if ( SWM_WOOCOMMERCE_IS_ACTIVE ) {
            register_sidebar( array(
                'name' => esc_html__('Shop Page Sidebar', 'orbius'),
                'id' => 'swm-shop-page-sidebar',
                'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="swm-sidebar-widget-box"><div class="swm-widget-content">',
                'after_widget' => '<div class="clear"></div></div></div></div>',
                'before_title' => '<div class="swm-sidebar-ttl"><h4><span>',
                'after_title' => '</span></h4><div class="clear"></div></div><div class="clear"></div>'
            ));
        }

	}

    add_action( 'widgets_init', 'swm_register_theme_widgets' );
}