<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

$swm_post_date_on     = get_theme_mod('swm_date_on','on');
$swm_post_author_name = get_theme_mod('swm_author_name_on','off');
$swm_post_cats        = get_theme_mod('swm_cats_on','on');
$swm_post_comments    = get_theme_mod('swm_comments_on','on');
$swm_excerpt_on       = get_theme_mod('swm_excerpt_on','on');
$swm_get_post_format  = get_post_format() ? get_post_format() : 'standard';
?>
<div class="swm-post-content">
	<?php get_template_part('parts/posts/post-formats/' . $swm_get_post_format); ?>

	<div class="swm-post-content-block">

		<div class="swm-post-title-section">

				<?php if ( $swm_post_date_on == 'on' || $swm_post_author_name == 'on' || $swm_post_comments == 'on' || $swm_post_cats == 'on' ) : ?>

					<div class="swm-post-meta  highlight-text"><?php
                        if ( $swm_post_date_on == 'on' ) {
                            $date_link = empty( get_the_title() ) && ! is_single() ? get_the_permalink() : get_month_link( get_the_time( 'Y' ), get_the_time( 'm' ) );
                            $classes   = '';
                            if ( is_single() || is_page() || is_archive() ) { // This check is to prevent classes for Gutenberg block
                                $classes = 'published updated';
                            }
                            ?><div class="swm-post-meta-date-separator"></div><a itemprop="dateCreated" href="<?php echo esc_url( $date_link ); ?>" class="entry-date <?php echo esc_attr( $classes ); ?>"><?php the_time( get_option( 'date_format' ) ); ?></a><div class="swm-post-meta-separator"></div><?php
                        }

                        if ( $swm_post_cats == 'on' ) {
                            echo get_the_term_list( get_the_ID(), 'category', '', '<span class="swm-post-meta-cat-separator"></span>' ) . '<div class="swm-post-meta-separator"></div>';
                        }

                        if ( $swm_post_author_name == 'on' ) {

                            echo '<span class="swm-info-author-label">' . esc_html__( 'by', 'orbius' ) . '</span> <a itemprop="author" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) )) . '" class="swm-info-author">' . get_the_author() . '</a><div class="swm-post-meta-separator"></div>';
                        }

                        if ( $swm_post_comments == 'on' ) {
                            if ( comments_open() ) {
                                echo '<a itemprop="url" href="' . get_comments_link() . '" class="swm-info-comments-link">' . swm_get_comments_number(false) . '</a><div class="swm-post-meta-separator"></div>';
                            }
                        } ?>

                    </div>

				<?php endif; ?>

				<div class="swm-post-title-content">

					<?php
					if ( get_the_title() ) {
						echo '<div class="swm-post-title"><h2 class="swm-color-headings"><a href="' . esc_url( get_permalink() ) . '" >' . wp_kses( get_the_title(),swm_kses_allowed_text() ) . '</a></h2>';
					}

					if ( $swm_excerpt_on == 'on' ) : ?>

						<div class="swm-post-list-excerpt">
							<?php
							if ( $swm_excerpt_on == 'on' ) { ?>

								<div class="swm-post-summary">
									<div class="swm-post-summary-text"> <?php

										if ( get_theme_mod('swm_excerpt_on','on') == 'on' ) {
											if ( get_theme_mod('swm_excerpt_length','50') != 0 ) {
												echo get_the_excerpt();
											}
										}

									?><div class="clear"></div>
								</div>
                                <div class="clear"></div>
						</div>
						<div class="clear"></div> <?php

					} ?>
				</div>

			<?php endif; ?>

				</div>

                <?php
                $swm_post_button_text = get_theme_mod('swm_post_button_text','read more');
                $swm_post_button_text = swm_translate_theme_mod( 'swm_post_button_text', $swm_post_button_text );

                if ( get_theme_mod('swm_post_button_text','read more') != '' ) { ?>
                    <div class="swm-post-button"><a href="<?php echo esc_url( get_permalink() ); ?>"><span class="swm-post-button-arrow-start" ></span><span class="swm-post-button-text" ><?php echo wp_kses( $swm_post_button_text,swm_kses_allowed_text() ); ?></span><span class="swm-post-button-arrow-end" ></span></a></div>
                <?php } ?>

		</div>

		<div class="clear"></div>

	</div>	<!-- .swm-post-content-block -->

</div> <!-- .swm-post-content -->

<div class="clear"></div>