<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

global $post;
$output = '';

$swm_get_related_posts_numbers = intval(get_theme_mod('swm_single_related_posts_number','3' ));

$swm_get_related = swm_get_related_posts($post->ID, $swm_get_related_posts_numbers);

if ( $swm_get_related->have_posts() ) {  ?>

    <div class="swm-related-posts-section">
    	<div class="swm-related-posts-wrap swm-content-wrap swm-single-related-posts-<?php echo intval(get_theme_mod('swm_single_related_posts_column','3' )); ?>">
    		<div class="swm-related-posts swm_content_border">
    			<h3 class="swm-single-pg-titles swm-single-pg-titles swm-color-headings"><span><?php echo esc_html__('Related Posts', 'orbius'); ?></span></h3>
    			<ul>
    				<?php
    				while($swm_get_related->have_posts()): $swm_get_related->the_post();
    					 ?>
    						<li>
    							<?php if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) { ?>
    								<div class="swm_related_post_img" data-anim-type="fade-in" data-anim-delay="200">
    									<a href="<?php echo get_permalink(); ?>"><?php echo get_the_post_thumbnail($post->ID, 'medium-large' ); ?></a>
    								</div>
    							<?php } ?>
    							<div class="swm-related-post-text">

                                        <?php
                                        if ( get_theme_mod('swm_single_related_posts_meta_on','on') == 'on' ) {

                                            $custom_date = !empty(get_theme_mod('swm_single_related_posts_meta_date','M j')) ? get_theme_mod('swm_single_related_posts_meta_date','M j') : 'M j' ;
                                            ?>

                                                <div class="swm-tiny-post-meta highlight-text"><?php

                                                    echo '<div class="swm-tiny-post-meta-date-separator"></div>' . get_the_term_list( get_the_ID(), 'category', '', '<span class="swm-tiny-post-meta-cat-separator"></span>' ) . '<div class="swm-tiny-post-meta-separator"></div>';

                                                    $date_link = empty( get_the_title() ) && ! is_single() ? get_the_permalink() : get_month_link( get_the_time( 'Y' ), get_the_time( 'm' ) );
                                                    $classes   = '';
                                                    if ( is_single() || is_page() || is_archive() ) { // This check is to prevent classes for Gutenberg block
                                                        $classes = 'published updated';
                                                    }

                                                    ?><a itemprop="dateCreated" href="<?php echo esc_url( $date_link ); ?>" class="entry-date <?php echo esc_attr( $classes ); ?>"><?php echo get_the_date($custom_date) ?></a><div class="swm-tiny-post-meta-separator"></div>
                                                </div>

                                            <?php

                                        } ?>

                                    <div class="swm-related-link swm-color-headings"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>

    							</div>
    						</li>
    						<?php
    				endwhile; ?>
    			</ul>
    			<div class="clear"></div>
    		</div>
    	</div>
    </div>

<?php } ?>

<?php wp_reset_postdata(); ?>