<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

get_header();

$swm_get_page_post_layout_type = swm_page_post_layout_type();
$swm_meta_get_all_sidebar_list = 'blog-sidebar';
$swm_meta_get_all_sidebar_list = get_post_meta( swm_get_queried_object_id(), 'swm_meta_all_sidebar_list', true );

if ( !is_active_sidebar($swm_meta_get_all_sidebar_list) ) {
	$swm_get_page_post_layout_type = 'layout-full-width';
}
?>
	<div class="swm-container swm-<?php echo esc_attr($swm_get_page_post_layout_type); ?> swm-post-sidebar-page" >
		<div class="swm-column swm-custom-two-third">
			<section>
				<div id="swm-item-entries" class="swm-row">

					<?php
					if (have_posts()) :
						while (have_posts()) : the_post();

							$swm_get_post_format = get_post_format() ? get_post_format() : 'standard';
							$swm_post_single_classes = array();

							$swm_post_single_classes[] = 'post-entry swm-blog-post';

							if (is_sticky()) { $swm_post_single_classes[] = 'post-sticky'; }

							if ( has_post_thumbnail() || $swm_get_post_format == 'video' || $swm_get_post_format == 'audio' ) {
								$swm_post_has_thumb = '';
							} else {
								$swm_post_has_thumb = 'swm_pf_no_thumb';
							}

                            if (get_post_type() == 'post') {
							?>
							<article class="<?php echo implode(" ", get_post_class($swm_post_single_classes)); ?>" >
								<div class="swm-column-gap">
									<div class="<?php echo esc_attr($swm_post_has_thumb); ?>">
										<?php get_template_part('parts/posts/post-single'); ?>
									</div>
								</div>
								<div class="clear"></div>
							</article>
							<?php

                            } else {
                                the_content();
                            }

						endwhile;
					endif; ?>

				</div>
			</section>

			<?php

            if (get_post_type() == 'post') {

    			$swm_post_tags = get_theme_mod('swm_single_tags_on','on'); ?>

                <div class="swm-single-tag-share">
                    <?php
                        if ( $swm_post_tags == 'on' && get_the_tag_list() != '' ) {
                            echo '<div class="swm-post-single-tags swm-color-headings">'.ucwords(get_the_tag_list()).'</div>';
                        }

                        if ( MK_IS_ACTIVE ) {
                            if ( mk_get_ts_option('swm_post_share_post_share',true) ) {
                                echo mk_post_share_icons(get_the_ID());
                            }
                        }
                    ?>
                </div>

                <?php

    			if ( get_theme_mod('swm_single_authorbox_on','off') == 'on' ) {
    				get_template_part('parts/posts/post-author');
    			}

                if ( get_theme_mod('swm_single_pagination_on','on') == 'on' ) { ?>

                    <div class="swm-post-single-pagination">
                        <?php
                            $swm_prev_post = get_previous_post();
                            $swm_next_post = get_next_post();

                            $swm_single_arrow_svg = '<span class="swm-single-next-prev-links-arrow"><svg enable-background="new 0 0 2000 2000" height="512" viewBox="0 0 2000 2000" width="512" xmlns="http://www.w3.org/2000/svg"><path d="m1743.9 1064h-1487.9c-35.3 0-64-28.7-64-64s28.7-64 64-64h1487.9c35.3 0 64 28.7 64 64s-28.6 64-64 64z"/><path d="m1072.4 1735.6c-16.4 0-32.8-6.2-45.3-18.7-25-25-25-65.5 0-90.5l626.4-626.4-626.4-626.4c-25-25-25-65.5 0-90.5s65.5-25 90.5 0l671.6 671.6c12 12 18.7 28.3 18.7 45.3s-6.7 33.3-18.7 45.3l-671.6 671.6c-12.5 12.5-28.9 18.7-45.2 18.7z"/></svg></span>';

                            if ( !empty($swm_prev_post) ) {
                                echo '<div class="swm-single-next-prev-links swm-single-prev-link"><a class="swm-anim" href="'.get_permalink( $swm_prev_post->ID ).'">' . $swm_single_arrow_svg . esc_html__( 'Prev post', 'orbius' ) . '</a></div>';
                            }

                            if ( !empty($swm_next_post) ) {
                                echo '<div class="swm-single-next-prev-links swm-single-next-link"><a class="swm-anim" href="'.get_permalink( $swm_next_post->ID ).'">' . esc_html__( 'Next post', 'orbius' ) . $swm_single_arrow_svg . '</a></div>';
                            }
                        ?>
                    </div>

                <?php } ?>

    			<div class="swm-single-section">
    				<?php

    				wp_reset_postdata();

    				if ( get_theme_mod('swm_single_comments_section_on','on') == 'on' ) {
    					comments_template('', true);
    				}

    				wp_reset_postdata();
    				?>
    			</div>

                <?php
            }

            if ( get_theme_mod('swm_single_related_posts_on','on') == 'on' ) {
                get_template_part( 'parts/related-posts');
            } ?>

			<div class="clear"></div>
		</div>

		<?php get_sidebar(); ?>

	</div>

<?php

get_footer(); ?>