(function($){

    'use strict';

    $(document).ready(function() {
        // Add search icon code in product search widget
        var woo_search_widget = $('.woocommerce-product-search');
        if ( woo_search_widget.length ) {
            woo_search_widget.find('button').append( '<span class="swm-search-icon"></span>' );
        }

        // Quantity More-Less Buttons -------------------

        // Add buttons more/less
        function swm_wc_quantity_more_less() {

            var woocomerce_more_less = '<span class="q_more"></span><span class="q_less"></span>';

            jQuery( '.woocommerce div.quantity:not(.inited),.woocommerce-page div.quantity:not(.inited)' ).each( function() {
                var $self = jQuery(this);
                if ( $self.find('>.q_more').length === 0 ) {
                    $self.append( woocomerce_more_less );
                }
                $self
                    .addClass('inited')
                    .on( 'click', '>span', function(e) {
                        swm_wc_more_less_click( jQuery( this ) );
                        e.preventDefault();
                        return false;
                    } );
            } );
        }

        // More/Less quantity on buttons
        function swm_wc_more_less_click(button) {
            var f = button.siblings( 'input' );
            if (button.hasClass( 'q_more' )) {
                f.val( ( f.val() === '' ? 0 : parseInt( f.val(), 10 ) ) + 1 ).trigger( 'change' );
            } else {
                f.val( Math.max( 0, ( f.val() === '' ? 0 : parseInt( f.val(), 10 ) ) - 1 ) ).trigger( 'change' );
            }
        }

        swm_wc_quantity_more_less();

        // After the cart is updated
        jQuery( document.body ).on( 'updated_wc_div', function() {
            swm_wc_quantity_more_less();
        } );

        // After products loaded by AJAX - timeout need to wait for fadeOut on old posts
        $( document ).on( 'action.new_post_added', function() {
            setTimeout( function() {
                swm_wc_quantity_more_less();
            }, 500 );
        } );

        $( document ).on( 'action.got_ajax_response', function() {
            setTimeout( function() {
                swm_wc_quantity_more_less();
            }, 500 );
        } );

    });

})(jQuery);